******************************************************************************************************************
*use new1975.
******************************************************************************************************************. 

******************************************************************************************************************.
*respondent  case id variables.
* V2 the interview number uniquely identifies each respondent.
* v7968 identifies whether respondent or spouse. 
* to select wave 2  respondents - v7968=1 and v1686 gt 5000 and v1686 lt 6501 and sexmiss=0.
* to select wave 3 respondents v7968=1 and v3645 gt 6999 and v3645 lt 8008 and sexmiss=0).
* to select wave 4 respondents(v7968=1 and v5656 gt 3000 and v5656 lt 3950 and sexmiss=0). 

*****************************************************************************************************************.
*****************************************************************************************************************.
*create separate wave files with respondents only.
* respondent ids go from 1 to 1519, (while spouse ids go from 2001 to 2887 in wave 1).
* but better to select by variable V7968.
*select respondents only.
sel if (v7968=1) .
*****************************************************************************************************************.
*compute year and wave .
*****************************************************************************************************************.
compute year=1975 .
compute wave=1 .
variable labels wave 'wave of 1975 survey'/year 'year' .
fre year wave.

****************************************************************************************************************
YEAR      year


                                                        Valid     Cum
Value Label                 Value  Frequency  Percent  Percent  Percent

                          1975.00      1519    100.0    100.0    100.0
                                     -------  -------  -------
                            Total      1519    100.0    100.0

Valid cases    1519      Missing cases      0


- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

WAVE      wave of 1975 survey


                                                        Valid     Cum
Value Label                 Value  Frequency  Percent  Percent  Percent

                             1.00      1519    100.0    100.0    100.0
                                     -------  -------  -------
                            Total      1519    100.0    100.0

Valid cases    1519      Missing cases      0

*******************************************************************************************************************.
*1975 sex of respondent - wave 1
*******************************************************************************************************************.
*three sex variables.

fre v79 v403 v413.

*missing cases on v79 sex variable - It is filter variable for fertility - v403 questionnaire interviewer obs 
*and v413 coversheet info on household (Section X). 
* v403 and v413 are consistent, use these.

rename variables (v413=sex) (v414=age).
fre sex .

********************************************************************************************************************
SEX       LB SEX OF R      X31C


                                                        Valid     Cum
Value Label                 Value  Frequency  Percent  Percent  Percent

male                            1       668     44.0     44.0     44.0
female                          2       851     56.0     56.0    100.0
                                     -------  -------  -------
                            Total      1519    100.0    100.0

Valid cases    1519      Missing cases      0
********************************************************************************************************************.
fre age.

********************************************************************************************************************
AGE       R & SUPP R AGE        


                                                        Valid     Cum
Value Label                 Value  Frequency  Percent  Percent  Percent

                               18        25      1.6      1.7      1.7
                               19        17      1.1      1.1      2.8
                               20        24      1.6      1.6      4.4
                               21        27      1.8      1.8      6.1
                               22        34      2.2      2.2      8.4
                               23        34      2.2      2.2     10.6
                               24        39      2.6      2.6     13.2
                               25        47      3.1      3.1     16.3
                               26        38      2.5      2.5     18.8
                               27        36      2.4      2.4     21.2
                               28        47      3.1      3.1     24.3
                               29        28      1.8      1.9     26.2
                               30        30      2.0      2.0     28.2
                               31        33      2.2      2.2     30.3
                               32        48      3.2      3.2     33.5
                               33        41      2.7      2.7     36.2
                               34        28      1.8      1.9     38.1
                               35        28      1.8      1.9     39.9
                               36        32      2.1      2.1     42.0
                               37        29      1.9      1.9     44.0
                               38        24      1.6      1.6     45.5
                               39        23      1.5      1.5     47.1
                               40        28      1.8      1.9     48.9
                               41        21      1.4      1.4     50.3
                               42        17      1.1      1.1     51.4
                               43        21      1.4      1.4     52.8
                               44        28      1.8      1.9     54.7
                               45        21      1.4      1.4     56.0
                               46        19      1.3      1.3     57.3
                               47        26      1.7      1.7     59.0
                               48        18      1.2      1.2     60.2
                               49        24      1.6      1.6     61.8
                               50        17      1.1      1.1     62.9
                               51        21      1.4      1.4     64.3
                               52        18      1.2      1.2     65.5
                               53        14       .9       .9     66.4
                               54        20      1.3      1.3     67.7
                               55        25      1.6      1.7     69.4
                               56        29      1.9      1.9     71.3
                               57        20      1.3      1.3     72.6
                               58        22      1.4      1.5     74.1
                               59        17      1.1      1.1     75.2
                               60        25      1.6      1.7     76.9
                               61        22      1.4      1.5     78.3
                               62        15      1.0      1.0     79.3
                               63        17      1.1      1.1     80.4
                               64        16      1.1      1.1     81.5
                               65        33      2.2      2.2     83.7
                               66        23      1.5      1.5     85.2
                               67        26      1.7      1.7     86.9
                               68        29      1.9      1.9     88.8
                               69        21      1.4      1.4     90.2
                               70        14       .9       .9     91.1
                               71         8       .5       .5     91.7
                               72        14       .9       .9     92.6
                               73        10       .7       .7     93.3
                               74        10       .7       .7     93.9
                               75        10       .7       .7     94.6
                               76         8       .5       .5     95.1
                               77        11       .7       .7     95.8
                               78         9       .6       .6     96.4
                               79        10       .7       .7     97.1
                               80         5       .3       .3     97.4
                               81        11       .7       .7     98.1
                               82         4       .3       .3     98.4
                               83         7       .5       .5     98.9
                               84         9       .6       .6     99.5
                               85         2       .1       .1     99.6
                               86         2       .1       .1     99.7
                               87         1       .1       .1     99.8
                               88         1       .1       .1     99.9
                               91         1       .1       .1     99.9
                               93         1       .1       .1    100.0
                                .         6       .4   Missing
                                     -------  -------  -------
                            Total      1519    100.0    100.0

Valid cases    1513      Missing cases      6
**********************************************************************************************************************.
*six cases missing on age.
*check against filter variable.

recode age (sysmis=-9) (else=copy) .
cro age by v90 .
if (v90 = 2 and age lt 39) age=-9 .
if (v90=1 and age gt 41) age=-9 .
add value labels age -9 'missing' .

*allowed 39,40 and 41 as depends on interview date. 

fre age .

**********************************************************************************************************************
		Freq	%    Valid %	Cumulative Percent
-8  missing	11	.7	.7	.7
	18	25	1.6	1.6	2.4
	19	17	1.1	1.1	3.5
	20	24	1.6	1.6	5.1
	21	26	1.7	1.7	6.8
	22	34	2.2	2.2	9.0
	23	34	2.2	2.2	11.3
	24	38	2.5	2.5	13.8
	25	47	3.1	3.1	16.9
	26	37	2.4	2.4	19.3
	27	36	2.4	2.4	21.7
	28	47	3.1	3.1	24.8
	29	28	1.8	1.8	26.6
	30	30	2.0	2.0	28.6
	31	33	2.2	2.2	30.7
	32	47	3.1	3.1	33.8
	33	41	2.7	2.7	36.5
	34	28	1.8	1.8	38.4
	35	28	1.8	1.8	40.2
	36	32	2.1	2.1	42.3
	37	29	1.9	1.9	44.2
	38	24	1.6	1.6	45.8
	39	23	1.5	1.5	47.3
	40	28	1.8	1.8	49.2
	41	21	1.4	1.4	50.6
	42	17	1.1	1.1	51.7
	43	21	1.4	1.4	53.1
	44	28	1.8	1.8	54.9
	45	21	1.4	1.4	56.3
	46	19	1.3	1.3	57.5
	47	26	1.7	1.7	59.2
	48	18	1.2	1.2	60.4
	49	24	1.6	1.6	62.0
	50	17	1.1	1.1	63.1
	51	21	1.4	1.4	64.5
	52	18	1.2	1.2	65.7
	53	14	.9	.9	66.6
	54	20	1.3	1.3	67.9
	55	25	1.6	1.6	69.6
	56	29	1.9	1.9	71.5
	57	20	1.3	1.3	72.8
	58	22	1.4	1.4	74.3
	59	17	1.1	1.1	75.4
	60	25	1.6	1.6	77.0
	61	22	1.4	1.4	78.5
	62	15	1.0	1.0	79.5
	63	17	1.1	1.1	80.6
	64	16	1.1	1.1	81.6
	65	32	2.1	2.1	83.7
	66	23	1.5	1.5	85.3
	67	26	1.7	1.7	87.0
	68	29	1.9	1.9	88.9
	69	21	1.4	1.4	90.3
	70	14	.9	.9	91.2
	71	8	.5	.5	91.7
	72	14	.9	.9	92.6
	73	10	.7	.7	93.3
	74	10	.7	.7	93.9
	75	10	.7	.7	94.6
	76	8	.5	.5	95.1
	77	11	.7	.7	95.9
	78	9	.6	.6	96.4
	79	10	.7	.7	97.1
	80	5	.3	.3	97.4
	81	11	.7	.7	98.2
	82	4	.3	.3	98.4
	83	7	.5	.5	98.9
	84	9	.6	.6	99.5
	85	2	.1	.1	99.6
	86	2	.1	.1	99.7
	87	1	.1	.1	99.8
	88	1	.1	.1	99.9
	91	1	.1	.1	99.9
	93	1	.1	.1	100.0
	Total	1519	100.0	100.0		
**********************************************************************************************************************.
* now 11 cases missing on age.
*recoding for new missing value conventions.

recode age (-9=-8) (else=copy) .
add value labels age -8 'missing' .

*use simpler variable labels.

variable labels sex 'sex of respondent from v413 wave 1'
      /age 'age of respondent from v414 wave 1'.
save outfile='c:\program files\spss\atus\1975\agesex1.sav'
        /keep id wave year sex age  .

**********************************************************************************************************************.
*wave 2  - no sex or age  variables - use wave 1.
**********************************************************************************************************************.

*rename variables (V2=id)  (v413=sex) (v414=age).

compute wave=2.
compute year =1976 .

*recoding agesex file for new missing value conventions.

recode age (-9=-8) (else=copy) .
add value labels age -8 'missing' .
variable labels wave 'wave of 1975 survey'/year 'year' . 
temp .
sel if (v7968=1 and (v1686 gt 4999 and v1686 lt 6501)) .

*fre wave year.

save outfile='c:\program files\spss\atus\1975\agesex2.sav'

        /keep id wave year sex age  .
**********************************************************************************************************************.
*Wave 3.
* There is an age variable on the coversheet info for wave 3. Person 1 is resp.
* Use Wave 1 and check against coversheet info v3651 v3652.
**********************************************************************************************************************.

compute wave=3.
compute year=1976.

*recoding for new missing value conventions.

recode age (-9=-8) (else=copy) .
add value labels age -8 'missing' .
temp .
sel if (v7968=1 and v3645 gt 6999 and v3645 lt 8008) .

*fre wave year.

save outfile='c:\program files\spss\atus\1975\agesex3.sav'
        /keep id wave year sex age  .

**********************************************************************************************************************.
*1975 sex of respondent - wave 4 .
*there should be age and sex values for resp on cover sheet question v5662 v5663.
**********************************************************************************************************************.

compute wave=4.
fre wave.

*two respondent sex variables - filters for attitude questions.

fre v5944 v6007  .

*3 cases are inconsistent with wave 1. 
* and one case is inconsistent on wave 4 respondent variables.

temp .
sel if (v7968=1) .

*cro v413 by v5944 v6007 .

cro v5944 by v6007.

*check against attitude question.

temp .
sel if v5944=2 and v413=1 and v7968=1 .
fre v5945.

*There is one case responding.
*The person answering the questionnaire may have changed
*or the data may have been miskeyed.
*Set all inconsistent cases on wave 4 to missing.
*no - use sex and age from wave 1. 
*haven't changed labels for age yet or added 1.

do if (age ne -8) .
compute age=age+1.
end if.
fre age .

*done.

temp .
sel if (v7968=1 and v5656 gt 2999 and v5656 lt 3950) .

*fre age.

save outfile='c:\program files\spss\atus\1975\agesex4.sav'
        /keep id wave year sex age  .

**********************************************************************************************************************.
*wave 1.
**********************************************************************************************************************.

*undo age +1 for wave 4.

do if (age ne -8) .
compute age=age-1.
end if.
do if (v7968=1) .
recode age (18 thru 24=1) (25 thru 34=2) (35 thru 44=3) (45 thru 54=4) (55 thru 64=5)
                 (65 thru hi=6) into agegrp .
if (age=-8) agegrp=-8.
end if.
variable labels agegrp 'Condensed Respondent age from 1975 Wave 1'.
value labels agegrp 1 '18 to 24' 2 '25 to 34' 3 '35 to 44' 4 '45 to 54' 5 '55 to 64'
                                6 '65 plus' -8 'missing'.

fre agegrp .  

**********************************************************************************************************************

			Freq  	%      Valid %	Cumulative Percent
Valid	-8.00  missing	11	.5	.7	.7
	1.00  18 to 24	198	8.2	13.0	13.8
	2.00  25 to 34	374	15.5	24.6	38.4
	3.00  35 to 44	251	10.4	16.5	54.9
	4.00  45 to 54	198	8.2	13.0	67.9
	5.00  55 to 64	208	8.6	13.7	81.6
	6.00  65 plus	279	11.6	18.4	100.0
	Total	 	1519	63.1	100.0		
Missing	System		887	36.9			
Total			2406	100.0			



**********************************************************************************************************************.
*check on sex and age over waves.
* allow 2 years on either side for age.
*make flag and select out inconsistent cases for sex.
**********************************************************************************************************************.

temp .
sel if (v7968=1) .
cro sex by v3652 v5663 . 

*4 inconsistent on wave 3 and 6 on wave 4.


do if (v7968=1) .
compute sexmiss=0.
if (sex=1 and (v3652=2 or v5663=2))sexmiss=1.
if (sex=2 and (v3652=1 or v5663=1))sexmiss=1.
end if.
variable labels sexmiss 'flag for inconsistent sex coding over waves' .
value labels sexmiss 0 'consistent' 1 'notconsistent' .
fre sexmiss.

*age.

do if (v7968=1) .
compute  agew3=age- v3651.
compute agew4=age- v5662 .
end if.
fre agew3  agew4.

*about 3% of cases are inconsistent .

**********************************************************************************************************************.
*minus values.
**********************************************************************************************************************.
temp .
sel if (v7968=1 and agew3 lt -3) .
list cases /variables=id age v3651 agew3. 

*21 cases have bad values, but 6 of these are age=-8.

do if (v7968=1 and age=-8) .
compute age=v3651.
compute agew3=0. 
end if.
temp .
sel if (v7968=1 and agew3 lt -2) .
list cases /variables=id age v3651 agew3 agew4. 
do if (v7968=1 and agew3 lt -2 and agew3=agew4).
compute age=v3651.
compute agew3=0.
else if (v7968=1 and agew3 lt -2 and (agew3=agew4+1)).
compute age=v3651.
compute agew3=0.
end if .
temp .
sel if (v7968=1 and agew3 lt -2) .
list cases /variables=id age v3651 agew3 agew4. 

* all the other cases of inconsistencies between wave 1 and 
*wave 3 are consistent (within 2 years) on wave 4, therefore wave3 probably wrong and wave 1 right.

**********************************************************************************************************************.
*positive values.
**********************************************************************************************************************.
temp .
sel if (v7968=1 and agew3 gt 2) .
list cases /variables=id age v3651 agew3. 

*8 cases have bad values, but only 3 are more than 5 years.

temp .
sel if (v7968=1 and agew3 gt 2) .
list cases /variables=id age v3651 agew3 agew4. 

*most of the cases are consistent wave 1 to wave 4 - one case missing on wave 4 has disparity of 46 years.
*set this case to missing.
*one case is consistent w3 to w4 - set to wave 3.

do if (v7968=1 and agew3 =46).
compute age=-8.
else if (v7968=1 and agew3 =agew4).
compute age=v3651.
compute agew3=0.
end if .
temp .
sel if (v7968=1 and agew3 gt 2) .
list cases /variables=id age v3651 agew3 agew4. 

* all the other cases of inconsistencies between wave 1 and 
*wave 3 are consistent (within 2 years on wave 4), therefore wave3 doubtful and wave 1 right.
* one case is 67 on wave 1 and 63 on wave 3 and missing on wave 4 - have left it unchanged.

temp .
sel if (v7968=1 and sexmiss=0) .
fre agew3 agew4.

**********************************************************************************************************************.
*check inconsistencies between wave 1 and wave 4.
**********************************************************************************************************************.
*negative values.

temp .
sel if (v7968=1 and agew4 lt -3) .
list cases /variables=id age v5662 agew4. 

*15 cases have bad values, but 1 of these age on wave 1 sysmis.

temp .
sel if (v7968=1 and agew4 lt -2) .
list cases /variables=id age v5662 agew3 agew4. 

**********************************************************************************************************************.
*on all of these (20 because lt -2) cases w3 is consistent with wave 1 therefore wave 4 is doubtful.
* ignore the system missing on w1 as it is system missing on wave 3 therefore poss bad id variable on wave 4.
**********************************************************************************************************************.
*positive cases.

temp .
sel if (v7968=1 and agew4 gt 2) .
list cases /variables=id age v5662 agew4 agew3. 

*9 cases have bad values, but all of them have good values on wave 3 therefore wave 4 doubtful.

*re-write out the files with new age and selecting out the inconsistent sex cases.

