**********************************************************************************************************************.
*use new1975.
**********************************************************************************************************************. 

**********************************************************************************************************************.
*respondent  case id variables.
* V2 the interview number uniquely identifies each respondent.
* v7968 identifies whether respondent or spouse. 
* to select wave 2  respondents - v7968=1 and v1686 gt 5000 and v1686 lt 6501 and sexmiss=0.
* to select wave 3 respondents v7968=1 and v3645 gt 6999 and v3645 lt 8008 and sexmiss=0).
* to select wave 4 respondents(v7968=1 and v5656 gt 3000 and v5656 lt 3950 and sexmiss=0). 

**********************************************************************************************************************.

**********************************************************************************************************************.
*Household and fertility.
**********************************************************************************************************************.
*marital status.
**********************************************************************************************************************.
*wave 1 variables v32 to v51 are marital status and fertility.
*wave 1 household relationship is v410 to v430.

display labels variables = v32 to v51 .

**********************************************************************************************************************
Name     Position  Label

V32            32  R MARITAL STATUS B5
V33            33  FIRST MARRIAGE?  B6
V34            34  CHKPT: CUR MARSTAB7
V35            35  YEAR MARR (CUR)  B8
V36            36  AGE SP/MAR CUR   B8A
V37            37  EDUC: SPOUSE-CUR B8B
V38            38  YEAR MARR-NCUR   B9
V39            39  AGE SP/MAR NCUR  B9A
V40            40  LENGTH MAR NCUR  B9B
V41            41  EDUC: SPSE NCUR  B9C
V42            42  YEAR 1ST MARR    B10
V43            43  AGE 1ST SP/MAR   B10A
V44            44  LENGTH 1ST MAR   B10B
V45            45  EDUC: 1ST SPSE   B10C
V46            46  EDUC: SP-CUR     B10D
V47            47  TOTAL NUM CHILD  B11
V48            48  YEAR BRN-CHILD 1 B12
V49            49  YEAR BRN-CHILD 2 B13
V50            50  YEAR BRN-CHILD 3 B14
V51            51  YR BRN-LST CHLD  B15
**********************************************************************************************************************.
*frequencies.

temp .
sel if (v7968=1) .

*fre v32 to v51 .

**********************************************************************************************************************
V32  R MARITAL STATUS B5
						Frequency	Percent	Valid%	Cumulative Percent
Valid	1  married (including spouse away in service)	978	64.4	64.4	64.4
	2  separated					47	3.1	3.1	67.5
	3  divorced					127	8.4	8.4	75.8
	4  widowed					177	11.7	11.7	87.5
	5  never married					190	12.5	12.5	100.0
	Total						1519	100.0	100.0		
**********************************************************************************************************************.

*consistency check.
*try filter to first marriage - v33.

temp .
sel if (v7968=1) .
cro v32 by v33.
Count

**********************************************************************************************************************
		V33  FIRST MARRIAGE?  B6		Total
										1  first	5  married before		
V32  R MARITAL STATUS B5	1  married (including spouse away in service)	806	172	978
				2  				separated	37	10	47
				3				  divorced	95	32	127
				4  				widowed	143	34	177
				5  				never married	1		1
				Total						1082	248	1330
**********************************************************************************************************************.

* One inconsistent case.

* check by v34 filter for only married once.

Count

**********************************************************************************************************************
		V34  CHKPT: CUR MARSTAB7		Total
									1  curr married	5  married before		
V32  R MARITAL STATUS B5	1  married (including spouse away in service)	802	3	805
				2  separated						37	37
				3  divorced					2	93	95
				4  widowed						143	143
				5  never married					1		1
								Total		805	276	1081
**********************************************************************************************************************.

* two more inconsistent cases.  - could be divorced and remarried.
* check non-married person.
*check by year of marriage - if v32 is wrong there shouldn't be any years of marriage .
* the person never married on v32 has a year of marriage (1975) and an educ for spouse 
* - therefore v32 wrong.
*check divorced and currently married.

temp .
sel if (v7968=1 and v32=3 and v34=1) .
fre v35 v38 v42.

* two values on v35 currently married, no values on v38 and v42
* - looks like v32 divorced is wrong.
*NOT do on wave 1 file.
*did on new1975.

do if (v7968=1 ).
compute civstat=v32.
if  (v7968=1 and v34=1 and v32=5) civstat=1. 
if  (v7968=1 and v34=1 and v32=3)civstat=1. 
end if.

*recoded three cases!.

recode civstat (1=1) (2,3=2) (4=3) (5=4).
value labels civstat 1 'marriedinclspouseaway' 2 'separated divorced' 3 'widowed'
       4 'never married' .
variable labels civstat '1975 wave 1 marital status from v32' .
cro civstat by v428.
temp.
sel if (v7968=1 ).
fre civstat.
**********************************************************************************************************************
					Freq	%	Valid %	Cumulative Percent
Valid	1.00  marriedinclspouseaway	981	64.6	64.6	64.6
	2.00  separated divorced		172	11.3	11.3	75.9
	3.00  widowed			177	11.7	11.7	87.6
	4.00  never married		189	12.4	12.4	100.0
	Total				1519	100.0	100.0		
**********************************************************************************************************************.

cro   hhtype by civstat .
fre hhtype .

*consistency checks on filters in sections c and g.

temp.
sel if (v7968=1). 
cro v32 by v209 v334.

*there are 12 inconsistencies on v209(c26) and 13 on v334 (g22).
*But they may be spouses living away?
*how many adults in married hholds.

temp.
sel if (v7968=1). 
cro v410 v411 by v32 .

*there are 23 lone adult married persons in family units (coversheet info on X31),
* but this may be spouse away on service - ok now it's cleaned it only 21.
*only 20 are identified by v428 (spouse in hhold) - ok .
*v410 (adults in HU is not quite consistent with V411 adults in FU - more in FU
* with spouse living away  - n=97 for 3 in FU and 95 for 3 in HU.
*flag for spouse living away.
*try by adjusting for spouse in hhold.

temp.
sel if (v7968=1). 
fre v428 .

do if (v7968=1). 
compute marrflag=0 .
if (civstat=1 and v428=5)marrflag=1.
end if .
value labels marrflag 0 'NA' 1 'spouse away' .
variable labels marrflag 'flag for spouse living away, on work, base, etc'.
fre marrflag .
**********************************************************************************************************************
				Freq	%	Valid%	Cumulative Percent
Valid	.00  NA			1499	62.3	98.7	98.7
	1.00  spouse away	20	.8	1.3	100.0
	Total			1519	63.1	100.0		
Missing	System			887	36.9			
Total				2406	100.0			

**********************************************************************************************************************.
*WAVE 2.
**********************************************************************************************************************.

*marital status wave 2 - v2864 (filter) .
*check against wave 2.
*v2864 is filter for marital status for heads of household only.
temp .
sel if (v7968=1) .
cro civstat by v2864 .
Count
**********************************************************************************************************************
		V2864  J5:CHECKPT-R MARRIED R2			Total
						1  marriedliv      2  resp is 
                                                                      withspouse     oneperson FU	3 other Total
								 
CIVSTAT  1975 wave1	1.00  marriedinclspouseaway	720	5		6	731
			2.00  separated divorced		8	61		39	108
			3.00  widowed			4	88		33	125
			4.00  never married		6	61		20	87
			Total				738	215		98	1051

**********************************************************************************************************************.
* There are six 'other' who were married in previous wave and 18 non-married who are married&livwtspouse by wave 2.
* the one person FU and 'other' could be spouse  away.

temp .
sel if v2864=1 .
fre v2865.

*there are six system missing on the filter to spouse salary last week, for married and living with spouse, 
*but they might not be working. 

temp .
sel if v2864 gt 1 .
fre v2865.

*no cases here so filter worked right.
* no questions about marital status on wave 2 - just filter from cover sheet and v2864.
*check against questions filtered by  marital status from cover sheet .

temp .
sel if (v7968=1) .
cro v2859 by v2864 .

*doesn't tell me anything.

*cro  v2556 by v2864 .
*looks consistent within wave 2 but cases missing.
*check v2864 against hhtype.

temp .
sel if (v7968=1) .
cro hhtype by v2864 .

* it looks sensible - all these people could have re/marrried.
*derive by v2864 and plausible values of v2865 (spouses earnings).

compute civstat2=civstat .
if (civstat gt 1 and v2864=1 and (v2865 gt 19 and v2865 lt 9997) civstat2=1.
value labels civstat2 1 'marriedinclspouseaway' 2 'separated divorced' 3 'widowed'
       4 'never married' .
variable labels civstat2 '1975 wave 2 marital status -wave1 amended by v2864' .

temp .
sel if (v7968=1) .
fre civstat2.

**********************************************************************************************************************
					Freq	%	Valid% 	Cumulative Percent
Valid	1.00  marriedinclspouseaway	981	64.6	64.6	64.6
	2.00  separated divorced		172	11.3	11.3	75.9
	3.00  widowed			177	11.7	11.7	87.6
	4.00  never married			189	12.4	12.4	100.0
	Total					1519	100.0	100.0	
**********************************************************************************************************************.	
cro hhtype2 by civstat2.
do if (v7968=1) .
compute Marflag2=0.
if ((hhtype=6 or hhtype=7) and civstat2=1)Marflag2=1.
end if .
val labs marflag2 0 'no change' 1 'got married' .
variable labels marflag2 'identifier for got married between wave 1 and wave 2'.
temp .
sel if (v7968=1) .
fre marflag2.
**********************************************************************************************************************.
*WAVE 3.
**********************************************************************************************************************.
**********************************************************************************************************************.
*wave 3 marital status.
* household relationships, age and sex  are v3650 to v3685.
*marital status wave 3 - v4859 (filter) .
**********************************************************************************************************************.


display labels variables = v3650 to v3685.

**********************************************************************************************************************
            List of variables on the working file

Name     Position  Label

V3650        3652  HSHLD MBR 1-RLTN TO RR3
V3651        3653  HSHLD MBR 1-AGE      R3
V3652        3654  HSHLD MBR 1-SEX      R3
V3653        3655  HSHLD MBR 2-RLTN TO RR3
V3654        3656  HSHLD MBR 2-AGE      R3
V3655        3657  HSHLD MBR 2-SEX      R3
V3656        3658  HSHLD MBR 3-RLTN TO RR3
V3657        3659  HSHLD MBR 3-AGE      R3
V3658        3660  HSHLD MBR 3-SEX      R3
V3659        3661  HSHLD MBR 4-RLTN TO RR3
V3660        3662  HSHLD MBR 4-AGE      R3
V3661        3663  HSHLD MBR 4-SEX      R3
V3662        3664  HSHLD MBR 5-RLTN TO RR3
V3663        3665  HSHLD MBR 5-AGE      R3
V3664        3666  HSHLD MBR 5-SEX      R3
V3665        3667  HSHLD MBR 6-RLTN TO RR3
V3666        3668  HSHLD MBR 6-AGE      R3
V3667        3669  HSHLD MBR 6-SEX      R3
V3668        3670  HSHLD MBR 7-RLTN TO RR3
V3669        3671  HSHLD MBR 7-AGE      R3
V3670        3672  HSHLD MBR 7-SEX      R3
V3671        3673  HSHLD MBR 8-RLTN TO RR3
V3672        3674  HSHLD MBR 8-AGE      R3
V3673        3675  HSHLD MBR 8-SEX      R3
V3674        3676  HSHLD MBR 9-RLTN TO RR3
V3675        3677  HSHLD MBR 9-AGE      R3
V3676        3678  HSHLD MBR 9-SEX      R3
V3677        3679  HSHLD MBR10-RLTN TO RR3
V3678        3680  HSHLD MBR10-AGE      R3
V3679        3681  HSHLD MBR10-SEX      R3
V3680        3682  HSHLD MBR11-RLTN TO RR3
V3681        3683  HSHLD MBR11-AGE      R3
V3682        3684  HSHLD MBR11-SEX      R3
V3683        3685  HSHLD MBR12-RLTN TO RR3
V3684        3686  HSHLD MBR12-AGE      R3
V3685        3687  HSHLD MBR12-SEX      R3.
**********************************************************************************************************************.
temp.
sel if (v7968=1 and hhtype2=2 and sex=2 and marrflag=0) .

*fre v3650 to v3685.

cro V3653 by V3655  .

*no labels for relationship.
* 1 is the respondent.    
* it looks like 3 equals wife.
* it looks like 2 equals husband - but it is dirty, hhold member 1 is 1 meaning that that is the respondent I think.
* and there is one 1 value in the second job. 
* find children.

temp.
sel if (v7968=1 and hhtype2=1 and v3657 lt 18 and marrflag=0) .

*fre v3656  .   
 
cro v3656 by v3658.

* it looks like 4 is sons and 5 is daughters.

do if (v7968=1 and v3645 gt 6999 and v3645 lt 8008) .
compute spouse=0 .
do repeat sp=v3653 v3656 v3659 v3662 v3665 v3668 v3671 v3674 v3677 v3680 v3683.
if (sp gt 1 and sp lt 4)spouse=1.
end repeat.
end if.
fre spouse.
temp.
sel if (v7968=1 and marrflag=0 and v3645 gt 6999 and v3645 lt 8008) .
cro civstat2 by spouse.

* There are 11 married people who don't seem to have spouses in the hhold.
* and 11 people in the house who were separated, etc. and are now spouses.

temp.
sel if (v7968=1 and marrflag=0 and v3645 gt 6999 and v3645 lt 8008) .
cro civstat2 spouse by v4859.

*spouse is internally consistent (except for 3 cases no spouse in hhold but spouse on v4859)
*therefore civstat has changed.
*try  filter for three odd cases.

temp.
sel if (v7968=1 and v3645 gt 6999 and v3645 lt 8008 and v4859=1 and spouse=0) .
fre v4860.

*these seem to be good cases as a value of yes is there for v4860.
*make new  civstat.

do if (v7968=1 and v3645 gt 6999 and v3645 lt 8008) .
compute civstat3=civstat2 .
if (v4859=1)civstat3=1.
end if.
value labels civstat3 1 'marriedinclspouseaway' 2 'separated divorced' 3 'widowed'
       4 'never married' .
variable labels civstat3 '1976 wave 3 marstat from W1 amended by v4859 ' .
temp.
sel if (v7968=1  and v3645 gt 6999 and v3645 lt 8008) .
fre civstat3.

**********************************************************************************************************************
					Freq	%	Valid%	Cumulative Percent
Valid	1.00  marriedinclspouseaway	680	67.6	67.6	67.6
	2.00  separated divorced		95	9.4	9.4	77.0
	3.00  widowed			117	11.6	11.6	88.7
	4.00  never married		114	11.3	11.3	100.0
	Total				1006	100.0	100.0		


**********************************************************************************************************************.
*make flag for spouse not in hh.
**********************************************************************************************************************.

do if (v7968=1 and v3645 gt 6999 and v3645 lt 8008) .
compute marflag 3=0.
if (civstat2 ne 1 and civstat3=1)marflag3=1.
if (civstat3=1 and v4859 ne 1 and spouse=0)marflag3=2.
end if .
cro civstat3 v4859 by marflag3.
variable labels marflag3 'flag for marital status change or not in hhold W3'.
value labels marflag3 0 'no change' 1 'got married' 2 'spouse not in hhold' .

**********************************************************************************************************************.
*wave 4 marital status.
*marital status wave 4 - v5933  v6897(filter) .
*v7176 is spouse question (filter). 
*wave 4 - v5661 to v5696 household relationship to resp but no value labels.
**********************************************************************************************************************.

display labels variables = v5661 to v5696.

**********************************************************************************************************************
            List of variables on the working file

Name     Position  Label

V5661        5663  HSHLD MBR 1-RLTN TO RR4
V5662        5664  HSHLD MBR 1-AGE      R4
V5663        5665  HSHLD MBR 1-SEX      R4
V5664        5666  HSHLD MBR 2-RLTN TO RR4
V5665        5667  HSHLD MBR 2-AGE      R4
V5666        5668  HSHLD MBR 2-SEX      R4
V5667        5669  HSHLD MBR 3-RLTN TO RR4
V5668        5670  HSHLD MBR 3-AGE      R4
V5669        5671  HSHLD MBR 3-SEX      R4
V5670        5672  HSHLD MBR 4-RLTN TO RR4
V5671        5673  HSHLD MBR 4-AGE      R4
V5672        5674  HSHLD MBR 4-SEX      R4
V5673        5675  HSHLD MBR 5-RLTN TO RR4
V5674        5676  HSHLD MBR 5-AGE      R4
V5675        5677  HSHLD MBR 5-SEX      R4
V5676        5678  HSHLD MBR 6-RLTN TO RR4
V5677        5679  HSHLD MBR 6-AGE      R4
V5678        5680  HSHLD MBR 6-SEX      R4
V5679        5681  HSHLD MBR 7-RLTN TO RR4
V5680        5682  HSHLD MBR 7-AGE      R4
V5681        5683  HSHLD MBR 7-SEX      R4
V5682        5684  HSHLD MBR 8-RLTN TO RR4
V5683        5685  HSHLD MBR 8-AGE      R4
V5684        5686  HSHLD MBR 8-SEX      R4
V5685        5687  HSHLD MBR 9-RLTN TO RR4
V5686        5688  HSHLD MBR 9-AGE      R4
V5687        5689  HSHLD MBR 9-SEX      R4
V5688        5690  HSHLD MBR10-RLTN TO RR4
V5689        5691  HSHLD MBR10-AGE      R4
V5690        5692  HSHLD MBR10-SEX      R4
V5691        5693  HSHLD MBR11-RLTN TO RR4
V5692        5694  HSHLD MBR11-AGE      R4
V5693        5695  HSHLD MBR11-SEX      R4
V5694        5696  HSHLD MBR12-RLTN TO RR4
V5695        5697  HSHLD MBR12-AGE      R4
V5696        5698  HSHLD MBR12-SEX      R4.
**********************************************************************************************************************.
temp.
sel if (v7968=1 and htype3=2 and v5656 gt 3000 and v5656 lt 3950 and sex=1 ) .

*fre v5661.

cro V5666 by V5664  .

* it looks the same as wave 3 and is also inconsistent or dirty.
* 1 is the respondent.    
* it looks like 3 equals wife and 2 equals husband.
* find children.

temp.
sel if (v7968=1 and htype3=1 and v5656 gt 3000 and v5656 lt 3950 ) .

*fre v3656  .    
*cro v3656 by v3658.

cro v5667 by v5668 v5669.

* it looks like 4 is sons and 5 is daughters - yes same.

do if (v7968=1 and v5656 gt 3000 and v5656 lt 3950 ) .
compute spouse4=0 .
do repeat sp=v5664 v5667 v5670 v5673 v5676 v5679 v5682 v5685 v5688 v5691 v5694 .
if (sp gt 1 and sp lt 4)spouse4=1.
end repeat.
end if.
fre spouse4.
VARIABLE LABELS spouse4 'wave 4 spouse in household' .
temp.
sel if (v7968=1  ) .

*fre marflag3 civstat3.

cro civstat3 by spouse4.

* There are 20 married people who don't seem to have spouses in the hhold.
* and 3 people in the house who were separated, etc. and are now spouses.

temp.
sel if (v7968=1  and v5656 gt 3000 and v5656 lt 3950 ) .

*cro v5933 by v6897  .

cro civstat3 spouse4 by v5933  v6897 v7176 .

* the filters are not consistent - one case on v5933 vs v6897-  v6897 is only heads of hh.
* one case on 
*spouse is internally consistent (except for 3 cases no spouse in hhold but spouse on v6897
* and 2 cases on v5933.
*therefore civstat has changed.
*try  filter for three odd cases.

temp.
sel if (v7968=1 and v5656 gt 3000 and v5656 lt 3950 and v5933=1 and spouse4=0) .
fre v5934.

*values there for v5934 - but non-married people could answer  filter could be inconclusive.

temp.
sel if (v7968=1 and v5656 gt 3000 and v5656 lt 3950 and v6897=1 and spouse4=0) .
fre v6898.

* two good values out of 3 and one system missing.

*make new  civstat.

do if (v7968=1 and v5656 gt 3000 and v5656 lt 3950 ) .
compute civstat4=civstat3 .
if (v6897=1 or v5933=1)civstat4=1.
end if.
value labels civstat4 1 'marriedinclspouseaway' 2 'separated divorced' 3 'widowed'
       4 'never married' .
variable labels civstat4 '1976 wave 4 marstat from W3 amended by v6898 (only hh) ' .
fre civstat4.

**********************************************************************************************************************.
*make flag for spouse not in hh.
**********************************************************************************************************************.
do if (v7968=1 and v5656 gt 3000 and v5656 lt 3950) .
compute marflag4=0.
if (civstat3 ne 1 and civstat4=1)marflag4=1.
if (civstat4=1 and v5933 ne 1 and spouse4=0)marflag4=2.
end if .
cro civstat4 v5933 by marflag4.
variable labels marflag4 'flag for marital status change or not in hhold W3'.
value labels marflag4 0 'no change' 1 'got married' 2 'spouse not in hhold' .
cro civstat4 by civstat2 civstat3.
