**********************************************************************************************************************.
*use new1975.
**********************************************************************************************************************. 
* v7968 identifies whether respondent or spouse. 
* to select wave 2  respondents - v7968=1 and v1686 gt 5000 and v1686 lt 6501 and sexmiss=0.
* to select wave 3 respondents v7968=1 and v3645 gt 6999 and v3645 lt 8008 and sexmiss=0).
* to select wave 4 respondents(v7968=1 and v5656 gt 3000 and v5656 lt 3950 and sexmiss=0). 

**********************************************************************************************************************.
*wave 1 v124 to v144 section C - economic activity - see codebook for use.
**********************************************************************************************************************.
temp.
sel if (v7968=1 and ((v7788 gt 0 and v7788 lt 9991) or (v7790 gt 0 and v7790 lt 9991))) .
fre v124.
display labels variables = v124 to v144.
display dictionary variables = v124.

**********************************************************************************************************************
            List of variables on the working file

Name                                                                   Position

V124      R-WORK STATUS    C1                                               124
          Measurement Level: Ordinal
          Column Width: 8  Alignment: Right
          Print Format: F2
          Write Format: F2

          Value    Label

              1    working now; on strike; sick leave
              2    temporarily laid off
              3    unemployed or looking for work
              5    retired or disabled
              7    student
              8    housewife or other
**********************************************************************************************************************.

* for some reason, the labels are there, but are not displaying on my output files. That is because the values are 
*double digit - check it against us67. Looks like a second digit has been added.

**********************************************************************************************************************
		Freq	%	Valid%	Cumulative Percent
Valid	11	744	49.0	49.0	49.0
	12	28	1.8	1.8	50.8
	13	11	.7	.7	51.5
	14	9	.6	.6	52.1
	15	17	1.1	1.1	53.3
	20	12	.8	.8	54.0
	30	61	4.0	4.0	58.1
	50	209	13.8	13.8	71.8
	51	12	.8	.8	72.6
	70	23	1.5	1.5	74.1
	71	14	.9	.9	75.0
	72	11	.7	.7	75.8
	74	8	.5	.5	76.3
	80	345	22.7	22.7	99.0
	81	15	1.0	1.0	100.0
	Total	1519	100.0	100.0	
**********************************************************************************************************************.

*get us67.
*construct employment status variable from dummies.

compute empstat=-8.
if (full=1) empstat=1.
if (part=1) empstat=2.
if (unemp=1)empstat=3.
if (homemakr=1)empstat=8.
if (retdis=1)empstat=5.
if (student=1)empstat=7. 	
Value  Labels empstat empstat1
              1    'workfulltime' 2    'workparttime' 3 'unemployed'
              5    'retir&disab' 7 'student'
              8    housewife&oth'  -8 'missing' .
temp .
sel if (year=75).
fre empstat.

**********************************************************************************************************************
				Freq	%	Valid%	Cumulative Percent
Valid	-8.00				18	.7	.7	.7
	1.00  workfulltime		1196	49.7	49.7	50.5
	2.00  workparttime		72	3.0	3.0	53.4
	3.00  unemployed		88	3.7	3.7	57.1
	5.00  retir&disab		317	13.2	13.2	70.3
	7.00  student		73	3.0	3.0	73.3
	8.00  housewife&oth'	642	26.7	26.7	100.0
	Total				2406	100.0	100.0		
**********************************************************************************************************************.

temp .
sel if (year=75).
save outfile='c:\program files\spss\atus\1975\emp6775.sav'
        /keep id empstat  .

*match to new1975.

temp.

*sel if (v7968=1 and ((v7788 gt 0 and v7788 lt 9991) or (v7790 gt 0 and v7790 lt 9991))) .

sel if (v7968=1) .

*cro v124 by empstat.

cro v125 by v124/cells=col.

*it looks as if v124  has been supplemented by other data.

**********************************************************************************************************************
            List of variables on the working file

Name     Position  Label

V124          124  R-WORK STATUS    C1
V125          125  R-HRS WORK/WK    C2
V126          126  R-OCC EMPLD,OTHR C2A-D
V127          127  1R SELF EMP      C2D
V128          128  1R JOB TEMP      C2E
V129          129  1R BACK TO WK    C3
V130          130  1R WK FOR PAY    C3A
V131          131  R-OCC UNEM/LD OFFC3B-D
V132          132  2 TIME SINCE R WKC3E
V133          133  2R QUIT/LAYOFF   C3F
V134          134  2R SELF EMP      C3G
V135          135  2R WK FOR PAY    C3H
V136          136  R-OCC RET/DIS    C4A-B
V137          137  3R SELF EMP      C4C
V138          138  3R WK FOR PAY    C4D
V139          139  3 ENOUGH $ BK WK C4E
V140          140  4R STUDENT STAT  C5
V141          141  4R WK FOR PAY    C6
V142          142  4R LK FOR WK     C7
V143          143  4TIME LK FOR WK  C8
V144          144  4ENOUGH $BK WK   C9

**********************************************************************************************************************.
*filter checks.
**********************************************************************************************************************.
temp.

*sel if (v7968=1 and (empstat =1 or empstat=2)) .
*sel if (v7968=1 and (empstat gt 2 and v135=5)) .
*sel if (v7968=1 and (empstat gt 2 and v141=5)) .

sel if (v7968=1 and (empstat1 gt 2)) .

*cro v124 by v131 v134 v135 v136 v138 v140 v141 .

cro empstat1 by v140.

*cro  v125 by empstat.
*if they were working, they were filtered back to c2 v125 for workhours - but some of the filtering doesn't
*seem to have worked - only affects 12 cases though.

recode v135 v138 v141 (sysmis=-7) (else=copy).
temp.
sel if (v7968=1 and empstat1 gt -8) .
cro workhrs1 by empstat1.
cro workhrs1 by v135 v138 v141.

temp.
sel if (v7968=1 and (empstat =-8)) .
cro v124 by v125.

*empstat seems to be ok. Some students retired and disabled are working, but short hours
* see crosstabs above by workhours, filtered through c4d to c6.

rename variables (empstat=empstat1) .
variable labels empstat1 'wave 1 employment status from section C v124 to v141'.
fre empstat1 .
fre v7968.
do if (v7968=2) .
recode empstat1 (lo thru hi=sysmis) (else=copy).
end if .
fre empstat1.
Value  Labels  empstat1
              1    'workfulltime' 2    'workparttime' 3 'unemployed'
              5    'retir&disab' 7 'student'
              8    'familycare&oth'  -8 'missing' .
fre empstat1.
temp.
sel if (v7968=1 and empstat1 gt -8).
cro v124 by empstat1 .

**********************************************************************************************************************.
*make flag to id cases where the retired/disabled/student/other person is working long hours.
**********************************************************************************************************************.

do if (v7968=1).
compute empflag1=0.
if (empstat1 gt 2 and v125 gt 21)empflag1=1.
end if .
variable labels empflag1 'wave 1 flag for resp working > 20 hours + def as not worker - C1 to C10 v124 to v145' .
value labels empflag1 0 'OK' 1 'work 20hours+' .
fre empflag1.
cro empstat1 by empflag1.

**********************************************************************************************************************. 
*make dummy variables.
* the fulltime and parttime dummy variables were later altered to
* include students, housewives, retired etc. who had hours of work.
**********************************************************************************************************************.

*fulltime.

do if (v7968=1).
compute full1=0.
if (empstat1 =1)full1=1.
end if .
variable labels full1 ' W1 main economic activity - fulltime work' .
value labels full1  0 'no' 1 'yes' .
fre full1.

*parttime.

do if (v7968=1).
compute part1=0.
if (empstat1 =2)part1=1.
end if .
variable labels part1 ' W1 main economic activity - parttime work' .
value labels part1  0 'no' 1 'yes' .
cro empstat1 by full1 part1.
if (empstat1=-8) full1=-8.
if (empstat1=-8) part1=-8.

*unemployed.

do if (v7968=1).
compute unemp1=0.
if (empstat1 =3)unemp1=1.
if (empstat1=-8)unemp1=-8.
end if .
variable labels unemp1 ' W1 main economic activity - unemployed' .
value labels unemp1  0 'no' 1 'yes' .
cro empstat1 by unemp1.

*family care.

do if (v7968=1).
compute homemak1=0.
if (empstat1 =8)homemak1=1.
if (empstat1=-8)homemak1=-8.
end if .
variable labels homemak1 ' W1 main economic activity - family care' .
value labels homemak1  0 'no' 1 'yes' .
cro empstat1 by homemak1.

*retired or disabled.

do if (v7968=1).
compute retdis1=0.
if (empstat1 =5)retdis1=1.
if (empstat1=-8)retdis1=-8.
end if .
variable labels retdis1 ' W1 main economic activity - retired or disabled' .
value labels retdis1  0 'no' 1 'yes' .
cro empstat1 by retdis1.

*student.

do if (v7968=1).
compute student1=0.
if (empstat1 =7)student1=1.
if (empstat1=-8)student1=-8.
end if .
variable labels student1 ' W1 main economic activity - student' .
value labels student1  0 'no' 1 'yes' .
cro empstat1 by student1.
add value labels full1 part1 unemp1 homemak1 retdis1 student1 -8 'missing'.
fre full1 part1 unemp1 homemak1 retdis1 student1 .

**********************************************************************************************************************.
* work hours.
**********************************************************************************************************************.

do if (v7968=1 and empstat1 gt -8).
compute workhrs1=v125.
end if .

do if (v7968=1  and empstat1 ne -8).
recode workhrs1 (sysmis=-7) (else=copy).
else if (empstat1=-8) .
recode workhrs1 (sysmis=-8) (else=copy).
end if .
variable labels workhrs1 'Wave 1 work hours from v125 Section C' . 
value labels workhrs1 -8 'missing' -7 'NA' .
cro workhrs1 by empstat1.

**********************************************************************************************************************.
* make paid work variable.
**********************************************************************************************************************.

do if (v7968=1 and workhrs1 gt 20).
compute paidwrk1=1.
else if (v7968=1 and workhrs1 lt 21 and workhrs1 gt -7).
compute paidwrk1=2.
else if (v7968=1 and workhrs1 = -7).
compute paidwrk1=3.
else if (v7968=1 and workhrs1 = -8).
compute paidwrk1= -8.
else if (v7968=1 and workhrs1 = -7).
compute paidwrk1= -7.
end if .
variable labels paidwrk1 'W1 - paid work status'.
value labels paidwrk1 1 '> 21 hours' 2 '< 22 hours' 3 'no paid work' -7 'NA'  -8 'missing'   .
cro workhrs1 by paidwrk1.
temp.
sel if ( v7968 =1 and sexmiss=0).
save outfile=w1emp.sav
      /keep id paidwrk1 full1 part1 unemp1 homemak1 retdis1 student1 workhrs1 empflag1.
fre paidwrk1 full1 part1 unemp1 homemak1 retdis1 student1 workhrs1 empflag1.

**********************************************************************************************************************.
*I changed fulltime and parttime on the final file combined file to include people whose main economic 
*activity is not work, but who have work hours to make it consistent with the other files.
* on check.sps - copied below.
*need to fix 1975 to be consistent with 65,85&95.
*any workhours count as ft or pt work.

cro wkhrs by fulltime parttime.
if (fulltime=0 and wkhrs gt 20)fulltime=1.
if (parttime=0 and wkhrs gt 0 and wkhrs lt 21)parttime=1.

**********************************************************************************************************************.
*number of workers in hhold.
**********************************************************************************************************************.

temp.
sel if (v7968=1).
fre v201 to v204.

* these variables are just the unemployed.
*try us67.

temp.
sel if (year=75).
fre nwork.

*freqs go up to 3 - but 65  much more.

temp.
sel if (v7968=1).
fre v211.

**********************************************************************************************************************.
*not possible to construct number of fulltime workers.
*can get respondent and spouse, but little infor about others in hhold.
* filtered through hoh/spouse - whether others earn.
* could have 0,1,2 and 3+, missing for nonHoH+spouse.
*v210 211 - spouse works and hours. 
*v339 v340 earnings of other family members.
**********************************************************************************************************************.

compute nwork1=-9.
variable labels nwork1 'number of fulltime workers in the hhold' .
value labels nwork1 -9 'cannot be constructed'.
fre nwork1.


**********************************************************************************************************************.

*wave 2.
**********************************************************************************************************************.
fre v2429.

*v2429 is only the people who were unemployed in wave 1.

display labels variables =v2425 to v2468.

**********************************************************************************************************************
*questions A1 to A7 - variables v2426 to v2433 v2436.

V2426        2426  A1A:FALL EMPLYMT STATR2
V2427        2427  A2: CHK BX           R2
V2428        2428  A3: STUDENT STATUS   R2
V2429        2429  A4:PRSNT EMPLYMT STATR2
V2430        2430  A4A:UNEMP)SM FL LAYOFR2
V2431        2431  A5:WRK SM JB LST FALLR2
V2432        2432  A6:#HRS/WK WRK MAIN JR2
V2433        2433  A6A:NMPLD/LDF-OCT75  R2 .
**********************************************************************************************************************.
temp.
sel if (v7968=1 ).

*cro empstat1 by v2426 v2428 v2429 v2431.

cro empstat1 by v2436.

*compute variable with changes since fall.

do if(v7968=1 and v1686 gt 5000 and v1686 lt 6501).
compute empstat2=empstat1.
if (empstat2 lt 3 and (v2436=1 or v2436=2))empstat2=3.
if (empstat2 ne 3 and (v2436=1 or v2436=2))empstat2=3.
if (empstat2 lt 3 and (v2436=3))empstat2=8.
if (empstat2=7 and v2428=1)empstat2=1.
if (empstat2=3 and v2429=1)empstat2=1.
if (empstat2=3 and v2429=7)empstat2=7.
end if.
variable labels empstat2 'wave 2 employment status from v2426 to v2436- A1 to A7'.
Value  Labels  empstat2
              1    'workfulltime' 2    'workparttime' 3 'unemployed'
              5    'retir&disab' 7 'student'
              8    'familycare&oth'  -8 'missing' .
fre empstat2.
cro empstat1 by empstat2.

*make part-time and check.

temp.
sel if (v7968=1 ).
cro v2432 by empstat2.
if (empstat2=-8 and v2432 gt 30)empstat2=1.
if (empstat2=1 and v2432 lt 22)empstat2=2.
if (empstat2=2 and v2432 gt 21)empstat2=1.
if (empstat2=3 and v2432 gt 21)empstat2=1.

*check on 2 people who in fall was unemployed but in wave 2 had job in fall - have work hours?. 

temp.
sel if (v2431=1 and empstat1=3).
list cases /variables=id.

*check  on 2 unemployed people who have usual work values (more than 30) wave 2.
* they have diary time working.
*These are the same people as those above - check empstat1 again - done .
*recode empstat2 to work fulltime - done in in program above.
*done again.

if (empstat2=3 and workhrs2 gt 20)empstat2=1.

*check their wave 1 status on diary data - no work hours - one friday, one saturday.

temp.
sel if (v2431=1 and empstat1=3).
cro v1094 by v432 .

temp .
sel if (year=75).
save outfile='c:\program files\spss\atus\1975\day6775.sav'
        /keep id day  .

*match to new1975.

temp.
sel if (v7968=1 ).
cro v432 by day.
value labels v432 1 'monday' 2 'tuesday' 3 'wednesday' 4 'thursday' 5 'friday' 6 'saturday' 7 'sunday' . 

**********************************************************************************************************************.
*retired and disabled and student/housewife/other.
* there are still 30+ people who are classed as non-working who have more than 21 hrs work.
**********************************************************************************************************************.
temp.
sel if (v7968=1 and empstat2=5 and v2432 gt 10).

*fre v2428 v140 .
*fre   v2336 to v2338 v1136 v2378 .

cro v2336 by v1691.

* 11 of 13 retired have no diary work hours and only 2 have work hours 
*- one hour and six hours - but 10 were saturday/sunday.
* just flag them - more than 10 hours =33 cases 2.5% of data.

do if(v7968=1 and v1686 gt 5000 and v1686 lt 6501).
compute empflag2=0 .
if (empstat2 gt 2 and workhrs2 gt 20)empflag2=1.
end if .
variable labels empflag2 'wave 2 flag for resp working > 21 hours + def as not worker - A1 to A21 v2425 to v2468' .
value labels empflag2 0 'OK' 1 'work 20hours+' .
fre empflag2.
cro empstat2 by empflag2.
cro workhrs2 by empflag2.

**********************************************************************************************************************.
* WORK HOURS.
**********************************************************************************************************************.

do if (v7968=1 and empstat2 gt -8 and v1686 gt 5000 and v1686 lt 6501).
compute workhrs2=v2432.
if (v2435=1)workhrs2=v2438.
if (v2476=1)workhrs2=v2479.
end if .
fre workhrs2.
fre v2435 v2476.
do if (v7968=1 and v1686 gt 5000 and v1686 lt 6501).
recode workhrs2 (sysmis=-7) (else=copy).
end if.
do if (v7968=1 and v1686 gt 5000 and v1686 lt 6501 and empstat2 lt 3).
recode workhrs2 (-7=-8) (else=copy).
end if.
cro workhrs2 by empstat2.

**********************************************************************************************************************.
* make paid work variable.
**********************************************************************************************************************.

do if (v7968=1 and workhrs2 gt 20).
compute paidwrk2=1.
else if (v7968=1 and workhrs2 lt 21 and workhrs2 gt -7).
compute paidwrk2=2.
else if (v7968=1 and workhrs2 = -7).
compute paidwrk2=3.
else if (v7968=1 and workhrs2 = -8).
compute paidwrk2= -8.
end if .
variable labels paidwrk2 'W2 - paid work status'.
value labels paidwrk2 1 '> 20 hours' 2 '< 21 hours' 3 'no paid work' -7 'NA'  -8 'missing'   .
cro workhrs2 by paidwrk2.

*fixing it by wave 1 employment status.

if (paidwrk2=-8 and empstat2=1)paidwrk2=1.
if (paidwrk2=-8 and empstat2=2)paidwrk2=2.

**********************************************************************************************************************. 
*make dummy variables.
**********************************************************************************************************************.

fre empstat2.

*fulltime.

do if (v7968=1).
compute full2=0.
if (empstat2 =1)full2=1.
end if .
variable labels full2 ' W2 main economic activity - fulltime work' .
value labels full2  0 'no' 1 'yes' .
fre full2.

*parttime.

do if (v7968=1).
compute part2=0.
if (empstat2 =2)part2=1.
end if .
variable labels part2 ' W2 main economic activity - parttime work' .
value labels part2  0 'no' 1 'yes' .
cro empstat2 by full2 part2.
do if (v7968=1   and v1686 gt 5000 and v1686 lt 6501).
compute wkhrflag=0.
if (workhrs2 =-8 ) wkhrflag=1.
if (workhrs2=-7)wkhrflag=-7.
end if.
variable labels wkhrflag 'wave2 flag for work hours missing'.
value labels wkhrflag 0 'OK' 1 'hoursmissing' -7 'NA'.
fre wkhrflag.

*recode wkhrflag (sysmis=-7) (else=copy).
*fre wkhrflag.

cro full2 part2 by wkhrflag.

*unemployed.

do if (v7968=1).
compute unemp2=0.
if (empstat2 =3)unemp2=1.
if (empstat2=-8)unemp2=-8.
end if .
variable labels unemp2 ' W2 main economic activity - unemployed' .
value labels unemp2  0 'no' 1 'yes' .
cro empstat2 by unemp2.

*family care.

do if (v7968=1).
compute homemak2=0.
if (empstat2 =8)homemak2=1.
if (empstat2=-8)homemak2=-8.
end if .
variable labels homemak2 ' W2 main economic activity - family care' .
value labels homemak2  0 'no' 1 'yes' .
cro empstat2 by homemak2.

*retired or disabled.

do if (v7968=1).
compute retdis2=0.
if (empstat2 =5)retdis2=1.
if (empstat2=-8)retdis2=-8.
end if .
variable labels retdis2 ' W2 main economic activity - retired or disabled' .
value labels retdis2  0 'no' 1 'yes' .
cro empstat2 by retdis2.

*student.

do if (v7968=1).
compute student2=0.
if (empstat2 =7)student2=1.
if (empstat2=-8)student2=-8.
end if .
variable labels student2 ' W2 main economic activity - student' .
value labels student2  0 'no' 1 'yes' .
cro empstat2 by student2.
add value labels full2 part2 unemp2 homemak2 retdis2 student2 -8 'missing'.
fre full2 part2 unemp2 homemak2 retdis2 student2 .


temp.
sel if ( v7968 =1 and sexmiss=0 and v1686 gt 5000 and v1686 lt 6501).
save outfile=w2emp.sav
      /keep id  paidwrk2 full2 part2 unemp2 homemak2 retdis2 student2 workhrs2 empflag2 wkhrflag.

**********************************************************************************************************************.
*wave 3 .
**********************************************************************************************************************.

* to select wave 3 respondents v7968=1 and v3645 gt 6999 and v3645 lt 8008 and sexmiss=0).
*variables v3686 to v3909.

display labels variables = v3686 to v3690 .

**********************************************************************************************************************
V3686        3688  A1:PRSNT EMPLYMT STATR3
V3687        3689  A2:#HRS/WK MAIN JOB  R3
V3688        3690  A3:WRK SM JOB FEB 76 R3
V3689        3691  A3A:NMPLD/LD OFF-FB76R3
V3690        3692  A4:MAIN OCCUPATION   R3
**********************************************************************************************************************.

temp .
sel if v7968=1.
fre v3686 to v3690 .

**********************************************************************************************************************
						Freq	%	Valid Percent	Cumulative Percent
Valid	1  working now; on strike; sick leave	582	38.3	58.7	58.7
	2  temporarily laid off			13	.9	1.3	60.0
	3  unemployed or looking for work	31	2.0	3.1	63.1
	4  retired or looking for work		160	10.5	16.1	79.2
	5  housework or other			190	12.5	19.2	98.4
	6  student				16	1.1	1.6	100.0
	Total					992	65.3	100.0		
Missing	System					527	34.7			
Total						1519	100.0			
**********************************************************************************************************************.

temp .
sel if (v7968=1 and v3645 gt 6999 and v3645 lt 8008 ).
cro v3687 by v3686.

*consistent - only workers have time working- but questions asked
* of non-workers, may be in later variables.

recode empstat3 (lo thru hi=sysmis).
do if (v7968=1 and v3645 gt 6999 and v3645 lt 8008 ).
compute empstat3=v3686 .
end if.
fre empstat3.
recode empstat3 (2=3) (else=copy).
if (v3687 lt 21)empstat3=2.
do if (v7968=1 and v3645 gt 6999 and v3645 lt 8008 ).
recode empstat3 (sysmis=-8) .
end if.
temp.
sel if (empstat3=2).
fre workhrs3.
Value  Labels  empstat3
              1    'workfulltime' 2    'workparttime' 3 'unemployed'
              4    'retir&disab' 6 'student'
              5    'familycare&oth'  -8 'missing' .
variable labels empstat3 'wave 3 employment from v3686,v3687- A1, A2' .
temp .
sel if (v7968=1 and v3645 gt 6999 and v3645 lt 8008 ).

*fre empstat3.

cro empstat2 by empstat3.

*make workhours, including workhours for economically inactive.

do if (v7968=1 and v3645 gt 6999 and v3645 lt 8008 ).
compute workhrs3=v3687.
if (empstat3=3)workhrs3=v3771.
if (empstat3 gt 3)workhrs3=v3845.
if (v3761=5)workhrs3=-7.
if (v3770=5)workhrs3=-7.
if (v3844=5)workhrs3=-7.
end if.
variable labels workhrs3 'Wave 3 work hours usual week from v3687,v3771,v3845-A2,A26,A44'.

*filters to fill in the inactive people's work hours above.

fre v3761.

* no temp laid off are working.

fre v3770.

* two unemployed are working.

fre v3771.
fre v3844.

*28 non-workers do paid work.

fre v3845.

temp .
sel if (v7968=1 and v3645 gt 6999 and v3645 lt 8008 ).
fre workhrs3.
cro workhrs3 by empstat3.
if (empstat3=-8 and workhrs3=-7) workhrs3=-8.

*make flag variable.

do if (v7968=1 and v3645 gt 6999 and v3645 lt 8008 ).
compute empflag3=0.
if (empstat3 gt 3 and workhrs3 gt 20)empflag3=1.
end if .
variable labels empflag3 'wave 3 flag for resp working > 20 hours + def as not worker - A1,A2,A26,A44' .
value labels empflag3 0 'OK' 1 'work 20hours+' .
fre empflag3.
cro empstat3 by empflag3.


**********************************************************************************************************************.
* make paid work variable.
**********************************************************************************************************************.

do if (v7968=1 and workhrs3 gt 20).
compute paidwrk3=1.
else if (v7968=1 and workhrs3 lt 21 and workhrs3 gt -7).
compute paidwrk3=2.
else if (v7968=1 and workhrs3 = -7).
compute paidwrk3=3.
else if (v7968=1 and workhrs3 = -8).
compute paidwrk3= -8.
end if .
variable labels paidwrk3 'W3 - paid work status'.
value labels paidwrk3 1 '> 20 hours' 2 '< 21 hours' 3 'no paid work' -7 'NA'  -8 'missing'   .
cro workhrs3 by paidwrk3.
fre empstat3.

*fulltime.

do if (v7968=1 and v3645 gt 6999 and v3645 lt 8008).
compute full3=0.
if (empstat3 =1)full3=1.
end if .
variable labels full3 ' W3 main economic activity - fulltime work' .
value labels full3  0 'no' 1 'yes' .
fre full3.

*parttime.

do if (v7968=1  and v3645 gt 6999 and v3645 lt 8008).
compute part3=0.
if (empstat3 =2)part3=1.
end if .
variable labels part3 ' W3 main economic activity - parttime work' .
value labels part3  0 'no' 1 'yes' .
cro empstat3 by full3 part3.
if (empstat3=-8) full3=-8.
if (empstat3=-8) part3=-8.

*unemployed.

do if (v7968=1 and v3645 gt 6999 and v3645 lt 8008).
compute unemp3=0.
if (empstat3 =3)unemp3=1.
if (empstat3=-8)unemp3=-8.
end if .
variable labels unemp3 ' W3 main economic activity - unemployed' .
value labels unemp3  0 'no' 1 'yes' .
cro empstat3 by unemp3.

*family care.

do if (v7968=1 and v3645 gt 6999 and v3645 lt 8008).
compute homemak3=0.
if (empstat3 =5)homemak3=1.
if (empstat3=-8)homemak3=-8.
end if .
variable labels homemak3 ' W3 main economic activity - family care' .
value labels homemak3  0 'no' 1 'yes' .
cro empstat3 by homemak3.

*retired or disabled.

do if (v7968=1 and v3645 gt 6999 and v3645 lt 8008).
compute retdis3=0.
if (empstat3 =4)retdis3=1.
if (empstat3=-8)retdis3=-8.
end if .
variable labels retdis3 ' W3 main economic activity - retired or disabled' .
value labels retdis3  0 'no' 1 'yes' .
cro empstat3 by retdis3.

*student.

do if (v7968=1 and v3645 gt 6999 and v3645 lt 8008).
compute student3=0.
if (empstat3 =6)student3=1.
if (empstat3=-8)student3=-8.
end if .
variable labels student3 ' W3 main economic activity - student' .
value labels student3  0 'no' 1 'yes' .
cro empstat3 by student3.
add value labels full3 part3 unemp3 homemak3 retdis3 student3 -8 'missing'.
fre full3 part3 unemp3 homemak3 retdis3 student3 .

**********************************************************************************************************************.

temp.
sel if ( v7968 =1 and sexmiss=0 and v3645 gt 6999 and v3645 lt 8008).
save outfile=w3emp.sav
      /keep id  paidwrk3 full3 part3 unemp3 homemak3 retdis3 student3 workhrs3 empflag3 .
fre paidwrk3 to empflag3.

*fix.

recode paidwrk3 full3 part3 unemp3 homemak3 retdis3 student3 workhrs3 (sysmis=-8) (else=copy).
compute wkhrflag=0.
if (workhrs3=-8)wkhrflag=1.
if (workhrs3=-7)wkhrflag=-7. 
variable labels wkhrflag 'wave2 flag for work hours missing'.
value labels wkhrflag 0 'OK' 1 'hoursmissing' -7 'NA'.
fre wkhrflag.
cro paidwrk3 full3 part3 unemp3 homemak3 retdis3 student3 workhrs3 by wkhrflag. 

**********************************************************************************************************************.
*wave 4 - to select wave 4 respondents use
* v7968=1 and v5656 gt 3000 and v5656 lt 3950 .
**********************************************************************************************************************.

*variables v5697 to v5921.
*same questionnaire as wave 3.

**********************************************************************************************************************
V5697        5699  A1:PRSNT EMPLYMT STATR4
V5698        5700  A2:#HRS/WK MAIN JOB  R4
V5699        5701  A3:WRK SM JOB MAY76  R4
V5700        5702  A3A:NMPLD/LD OFF-5/76R4
V5701        5703  A4:MAIN OCCUPATION   R4
**********************************************************************************************************************.

temp .
sel if (v7968=1 and v5656 gt 3000 and v5656 lt 3950 ).

*fre v5697.

cro v5698 by v5697.

**********************************************************************************************************************
						Freq	%	Valid%	Cumulative Percent
Valid	1  working now; on strike, sick leave	539	56.9	58.0	58.0
	2  temporarily laid off			14	1.5	1.5	59.5
	3  unemployed or looking for work	25	2.6	2.7	62.2
	4  retired or disabled			159	16.8	17.1	79.2
	5  housewife or other			176	18.6	18.9	98.2
	6  student				17	1.8	1.8	100.0
	Total					930	98.2	100.0		
Missing	System					17	1.8			
Total						947	100.0		.

**********************************************************************************************************************.
compute empstat4=v5697.
recode empstat4 (2=3) (else=copy) .
value labels empstat4  1    'workfulltime' 2    'workparttime' 3 'unemployed'
              4    'retir&disab' 6 'student'
              5    'familycare&oth'  -8 'missing' .
variable labels empstat4 'wave 4 employment status variables v5697-v5921- Section A'.
fre empstat4. 
if (v5698 lt 22)empstat4=2.
fre empstat4.
do if (v7968=1 and v5656 gt 3000 and v5656 lt 3950 ).
recode empstat4 (sysmis=-8) (else=copy) .
end if.
cro empstat3 by empstat4.

*work hours for not workers.

temp .
sel if (v7968=1 and v5656 gt 3000 and v5656 lt 3950 ).
fre v5772.
cro v5773 by empstat4.

* 3 temporarily laid off people have workhours, one has 30 hrs.

temp .
sel if (v7968=1 and v5656 gt 3000 and v5656 lt 3950 ).
fre v5855.
cro v5856 by empstat4.
fre v5781.

* 5 unemployed people have some work hours.
*29 not workers have hours of work - 8 have more than 21 hours.

recode workhrs4 (lo thru hi=sysmis).
do if (v7968=1 and v5656 gt 3000 and v5656 lt 3950 ).
compute workhrs4=v5698.
if (empstat4=3 and v5772=1)workhrs4=v5773.
if (empstat4=3 and v5781=1)workhrs4=v5782.
if (empstat4 gt 3)workhrs4=v5856.
if (v5772=5)workhrs4=-7.
if (v5855=5)workhrs4=-7.
if (v5781=5)workhrs4=-7.
if (empstat4=-8)workhrs4=-8.
end if.
variable labels workhrs4 'wave 4 work hours ' .
value labels workhrs4 - 7 'NA' -8 'missing' .
cro workhrs4 by empstat4.

**********************************************************************************************************************.
*make flag for more than 20 hours.
**********************************************************************************************************************.

do if (v7968=1 and v5656 gt 3000 and v5656 lt 3950 ).
compute empflag4=0.
if (empstat4 gt 2 and workhrs4 gt 20)empflag4=1.
end if .
variable labels empflag4 'wave 4 flag for resp working > 20 hours + def as not worker ' .
value labels empflag4 0 'OK' 1 'work 20hours+' .
fre empflag4.
cro empstat4 by empflag4.
fre empstat4.

**********************************************************************************************************************.
* make paid work variable.
**********************************************************************************************************************.

do if (v7968=1 and v5656 gt 3000 and v5656 lt 3950 and sexmiss=0 and workhrs4 gt 20).
compute paidwrk4=1.
else if (v7968=1 and workhrs4 lt 21 and workhrs4 gt -7).
compute paidwrk4=2.
else if (v7968=1 and workhrs4 = -7).
compute paidwrk4=3.
else if (v7968=1 and workhrs4 = -8).
compute paidwrk4= -8.
end if .
variable labels paidwrk4 'W4 - paid work status'.
value labels paidwrk4 1 '> 20 hours' 2 '< 21 hours' 4 'no paid work' -7 'NA'  -8 'missing'   .
cro workhrs4 by paidwrk4.
fre empstat4.

*fulltime.

do if (v7968=1 and v5656 gt 3000 and v5656 lt 3950 and sexmiss=0).
compute full4=0.
if (empstat4 =1)full4=1.
end if .
variable labels full4 ' W4 main economic activity - fulltime work' .
value labels full4  0 'no' 1 'yes' .
fre full4.

*parttime.

do if (v7968=1  and v5656 gt 3000 and v5656 lt 3950 and sexmiss=0).
compute part4=0.
if (empstat4 =2)part4=1.
end if .
variable labels part4 ' W4 main economic activity - parttime work' .
value labels part4  0 'no' 1 'yes' .
cro empstat4 by full4 part4.
if (empstat4=-8) full4=-8.
if (empstat4=-8) part4=-8.

*unemployed.

do if (v7968=1 and v5656 gt 3000 and v5656 lt 3950 and sexmiss=0).
compute unemp4=0.
if (empstat4 =3)unemp4=1.
if (empstat4=-8)unemp4=-8.
end if .
variable labels unemp4 ' W4 main economic activity - unemployed' .
value labels unemp4  0 'no' 1 'yes' .
cro empstat4 by unemp4.

*family care.

do if (v7968=1 and v5656 gt 3000 and v5656 lt 3950 and sexmiss=0).
compute homemak4=0.
if (empstat4 =5)homemak4=1.
if (empstat4=-8)homemak4=-8.
end if .
variable labels homemak4 ' W4 main economic activity - family care' .
value labels homemak4  0 'no' 1 'yes' .
cro empstat4 by homemak4.

*retired or disabled.

do if (v7968=1 and v5656 gt 3000 and v5656 lt 3950 and sexmiss=0).
compute retdis4=0.
if (empstat4 =4)retdis4=1.
if (empstat4=-8)retdis4=-8.
end if .
variable labels retdis4 ' W4 main economic activity - retired or disabled' .
value labels retdis4  0 'no' 1 'yes' .
cro empstat4 by retdis4.

*student.

do if (v7968=1 and v5656 gt 3000 and v5656 lt 3950 and sexmiss=0).
compute student4=0.
if (empstat4 =6)student4=1.
if (empstat4=-8)student4=-8.
end if .
variable labels student4 ' W4 main economic activity - student' .
value labels student4  0 'no' 1 'yes' .
cro empstat4 by student4.
add value labels full4 part4 unemp4 homemak4 retdis4 student4 -8 'missing'.
fre full4 part4 unemp4 homemak4 retdis4 student4 .

**********************************************************************************************************************.

temp.
sel if ( v7968 =1 and sexmiss=0 and v5656 gt 3000 and v5656 lt 3950 ).
save outfile=w4emp.sav
      /keep id  paidwrk4 full4 part4 unemp4 homemak4 retdis4 student4 workhrs4 empflag4 .

*use w4emp.sav.

recode paidwrk4 to empflag4 (sysmis=-8) .
compute wkhrflag=0.
if (workhrs4=-8)wkhrflag=1.
if (workhrs4=-7)wkhrflag=-7.
variable labels wkhrflag 'flag for work hours missing'.
value labels wkhrflag 0 'OK' 1 'hoursmissing' -7 'NA'.

