********************************
*use new1975.
****************************. 

****************************************.
*respondent  case id variables.
* V2 the interview number uniquely identifies each respondent.
* v7968 identifies whether respondent or spouse. 
* to select wave 2  respondents - v7968=1 and v1686 gt 5000 and v1686 lt 6501 and sexmiss=0.
* to select wave 3 respondents v7968=1 and v3645 gt 6999 and v3645 lt 8008 and sexmiss=0).
* to select wave 4 respondents(v7968=1 and v5656 gt 3000 and v5656 lt 3950 and sexmiss=0). 

***********************************************************************
*wave 1  relationship to HOH and hhold composition is v410 to v430.

display labels variables = v410 to v430 .


Name     Position  Label

V410          410  LB #=>18 IN HU   X31A
V411          411  LB #=>18 IN FU   X31B
V412          412  LB R REL TO HD   T2
V413          413  LB SEX OF R      X31C
V414          414  R & SUPP R AGE        *
V415          415  LB #<18 IN HU    X31E
V416          416  LB #<18 IN FU    X31F
V417          417  LB #R CHLDN HU   X31G
V418          418  LB AGE R YNGST   X31H
V419          419  OLDEST CHILD     X31I
V420          420  MALES 0-2        X31J
V421          421  FEMALES 0-2      X31K
V422          422  MALES 3-4        X31L
V423          423  FEMALES 3-4      X31M
V424          424  MALES 5-12       X31N
V425          425  FEMALES 5-12     X31O
V426          426  MALES 13-17      X31P
V427          427  FEMALES 13-17    X31Q
V428          428  SPOUSE IN HU     X31R
V429          429  2050 # IN R FAM UZ1
V430          430  2050 # IN HU     Z2

**********************************************************.

temp.
sel if (v7968=1). 
*fre v410 to v430.
* the variables have no value labels.
*wave 3 v3650 to v3685 - no value labels either.
*check against filter variables - G2(v299) G17(v328) R is HoH or WHoH,  HH is always male.
temp.
sel if (v7968=1 and v413=2 and v32 gt 1). 
*cro v412 by v328 .
cro v32 by v328.
* the value 1 is head of household, all men, women 2 or 3.
*but you can have female heads of households who are separated or divorced.
*It is probably family units rather than heads of households on the filters.
*cro v412 by v413.
* no women are 1  on head of household relationship maybe 2 is female hh or 3 is female hh?
temp.
sel if (v7968=1 and v413=2).
cro v412 by v32. 
*women
		V32  R MARITAL STATUS B5					Total
		1 marr  	2  sepa	3  divor	4  wid	5 notmar		
V412  	2	15	27	75	142	47	306
	3	471		2			473
	5			1		35	36
	7	1					1
	11		1		8		9
	13	1					1
	15			1	2	5	8
	17				1		1
	19					1	1
	21					1	1
	51				1		1
	61	1	1	4	1	4	11
	81					1	1
	83					1	1
Total		489	29	83	155	95	851

*it looks like 2 on v412 is a female head of household.
*going by us67 the single male and female hholds are one-person hholds rather than
*never married.
****************************************************.
*v410 is people 18+ in HOUSING UNIT and v411 is labelled people 18+ in FAMILY UNIT.
cro v410 by v411 .
*looks ok, no housing units with fewer members than family units.
*MAKE HOUSEHOLD NOT FAMILY UNIT, CAN DO THIS FOR DETAILED COMP 2003.
* How many single people households.
temp.
sel if (v7968=1). 
*cro v430 by v429 .
*how many adults in married hholds.
*cro v410 v411 by v32 .
*there are 23 lone adult married persons in family units (coversheet info on X31),
* but this may be spouse away on service.
*only 21 are identified by v428 (spouse in hhold) .

* replaced v32 with civstat and v413 with sex in program below.
fre v412.
do if (v7968=1). 
compute hhtype=-8.
if (civstat=1 and v410 =2 and v415=0)hhtype=2 . 
if (civstat=1 and v410=2 and v415 gt 0)hhtype=1 . 
if (civstat gt 1 and sex=2 and v415 gt 0 and v412=2)hhtype=3.
if (civstat gt 1 and sex=2 and v412=2 and v415 = 0 and v410 gt 1)hhtype=4.
if (civstat gt 1 and sex=1 and v412=1 and (v410 gt 1 or v415 gt 0 ))hhtype=5.
if (v410=1 and sex=1 and v415=0 and v410=1) hhtype=6 .
if (v410=1 and sex=2 and v415=0 and v410=1) hhtype=7 .
end if .
fre hhtype .
do if  (v7968=1). 
compute npersons = v410+v415 .
end if .
if (npersons gt 1 and hhtype= -8)hhtype=8.
*missing values hhtype (-8) .
value labels hhtype 1  'Married with kids'	2  'Married no kids'  		
	3  'R is female HoH with kids'	4  'R is female HoH no kids'
	5  'R is male HoH with&without kids'  6  'One person hhold-male'  
            7  'One person hhold-female'		
	8  'Other/complex'  -8 'missing'.			
Variable labels hhtype 'Household type Wave 1 from X31 and B5-Wave 1'.
temp .
sel if  (v7968=1 and hhtype=8 and npersons=1). 
fre v410 v415.
temp .
sel if  (v7968=1). 
fre hhtype .
*****************************************.
HHTYPE  Household type Wave 1 from X31 and B5-Wave 1

						Freq	%	Valid%	Cumulative Percent
	
Valid	-8.00  missing				1	.0	.1	.1
	1.00  Married with kids			454	18.9	29.9	30.0
	2.00  Married no kids			388	16.1	25.5	55.5
	3.00  R is female HoH with kids		88	3.7	5.8	61.3
	4.00  R is female HoH no kids		33	1.4	2.2	63.5
	5.00  R is male HoH with&without kids	35	1.5	2.3	65.8
	6.00  One person hhold-male		100	4.2	6.6	72.4
	7.00  One person hhold-female		177	7.4	11.7	84.0
	8.00  Other/complex			243	10.1	16.0	100.0
	Total					1519	63.1	100.0		



*hhtype has too many complex and not enough married households compared with other
*decades.
****************************************************************.
*new household type to be consistent with other decade files ie not so many complex households
*as the two married households can have other adults in them, e.g. grown up kids June 2004.
*************************************************.
do if (v7968=1). 
compute htype=-8.
if (civstat=1 and v415=0)htype=2 . 
if (civstat=1  and v415 gt 0)htype=1 . 
if (civstat gt 1 and sex=2 and v415 gt 0 and v412=2)htype=3.
if (civstat gt 1 and sex=2 and v412=2 and v415 = 0 and v410 gt 1)htype=4.
if (civstat gt 1 and sex=1 and v412=1 and (v410 gt 1 or v415 gt 0 ))htype=5.
if (civstat gt 1 and v410=1 and sex=1 and v415=0 and v410=1) htype=6 .
if (civstat gt 1 and v410=1 and sex=2 and v415=0 and v410=1) htype=7 .
end if .
fre htype .
do if  (v7968=1). 
compute npersons = v410+v415 .
end if .
if (npersons gt 1 and htype= -8)htype=8.
*missing values htype (-8) .
value labels htype 1  'Married with kids'	2  'Married no kids'  		
	3  'R is female HoH with kids'	4  'R is female HoH no kids'
	5  'R is male HoH with&without kids'  6  'One person hhold-male'  
            7  'One person hhold-female'		
	8  'Other/complex'  -8 'missing'.			
Variable labels htype 'New Household type Wave 1 from X31 and B5-Wave 1'.
temp.
sel if (v7968=1). 
*cro htype by marrflag .
fre htype.


						Freq	%	Valid%	Cumulative Percent
Valid	-8.00  missing				1	.1	.1	.1
	1.00  Married with kids			530	34.9	34.9	35.0
	2.00  Married no kids			451	29.7	29.7	64.6
	3.00  R is female HoH with kids		88	5.8	5.8	70.4
	4.00  R is female HoH no kids		33	2.2	2.2	72.6
	5.00  R is male HoH with&without kids	35	2.3	2.3	74.9
	6.00  One person hhold-male		98	6.5	6.5	81.4
	7.00  One person hhold-female		170	11.2	11.2	92.6
	8.00  Other/complex			113	7.4	7.4	100.0
	Total					1519	100.0	100.0		

***************************************.
*this is consistent with other decades.
*********************************.

temp .
sel if  (v7968=1). 
cro  htype by v415  .

******************************************************************************.
*WAVE 2.
* no data on wave 2 therefore use wave 1 and adjust by adjusted marital status.
***************************************************************************.
* with old hhtype.
do if (v7968=1) .
compute hhtype2=hhtype.
if ((hhtype=6 or hhtype=7) and civstat2=1)hhtype2=2.
end if .
value labels hhtype2 1  'Married with kids'	2  'Married no kids'  		
	3  'R is female HoH with kids'	4  'R is female HoH no kids'
	5  'R is male HoH with&without kids'  6  'One person hhold-male'  
            7  'One person hhold-female'		
	8  'other/complex'  -8 'missing'.	
		
Variable labels hhtype2 'Household W2 -from W1 adjusted by marital status wave 2'.

		Frequency	Percent	Valid Percent	Cumulative Percent
	
Valid	1.00  Married with kids			416	27.4	36.3	36.3
	2.00  Married no kids			333	21.9	29.0	65.3
	3.00  R is female HoH with kids		65	4.3	5.7	71.0
	4.00  R is female HoH no kids		27	1.8	2.4	73.3
	5.00  R is male HoH with&without kids	28	1.8	2.4	75.8
	6.00  One person hhold-male		66	4.3	5.8	81.5
	7.00  One person hhold-female		127	8.4	11.1	92.6
	8.00  other/complex			85	5.6	7.4	100.0
	Total					1147	75.5	100.0		
Missing	System					372	24.5			
Total						1519	100.0	.		



cro hhtype2 by civstat2.
********************************.
*************.
*new htype2 - codes 1 and 2 may have other adults in hhold.
*************************************.
do if (v7968=1) .
compute htype2=htype.
if ((htype=6 or htype=7) and civstat2=1)htype2=2.
end if .
value labels htype2 1  'Married with kids'	2  'Married no kids'  		
	3  'R is female HoH with kids'	4  'R is female HoH no kids'
	5  'R is male HoH with&without kids'  6  'One person hhold-male'  
            7  'One person hhold-female'		
	8  'other/complex'  -8 'missing'.	
Variable labels htype2 ' New Household W2 -from W1 adjusted by marital status wave 2'.
temp.
sel if (v7968=1) .
fre htype2 .
						Freq	%	Valid%	Cumulative Percent
Valid	1.00  Married with kids			416	27.4	36.3	36.3
	2.00  Married no kids			333	21.9	29.0	65.3
	3.00  R is female HoH with kids		65	4.3	5.7	71.0
	4.00  R is female HoH no kids		27	1.8	2.4	73.3
	5.00  R is male HoH with&without kids	28	1.8	2.4	75.8
	6.00  One person hhold-male		66	4.3	5.8	81.5
	7.00  One person hhold-female		127	8.4	11.1	92.6
	8.00  other/complex			85	5.6	7.4	100.0
	Total					1147	75.5	100.0		
Missing	System					372	24.5			
Total						1519	100.0			

***************************************************************.
*WAVE 3.
***********************************************.
*************.
*new htype3 - codes 1 and 2 may have other adults in hhold.
*************************************.
*check on marital status change.
temp.
sel if (v7968=1 and v3645 gt 6999 and v3645 lt 8008 ) .
*cro htype2 by civstat3 spouse.
*cro htype2 by civstat3 by marflag3.
*check on adults and chldren in hhold change.
do if (v7968=1 and v3645 gt 6999 and v3645 lt 8008) .
count nadult3= v3651 v3654 v3657 v3660 v3663 v3666 v3669 v3672 v3675 v3678 v3681 v3684 (18 thru hi).
end if .
VARIABLE LABELS nadult3 'wave 3 number of adults in household' .
fre nadult3.
do if (v7968=1 and v3645 gt 6999 and v3645 lt 8008) .
count nchild3=  v3654 v3657 v3660 v3663 v3666 v3669 v3672 v3675 v3678 v3681 v3684 (lo thru 17 ).
end if .
VARIABLE LABELS nchild3 'wave 3 number of children in household' .
fre nchild3.
do if (v7968=1 and v3645 gt 6999 and v3645 lt 8008) .
count nchild3=  v3654 v3657 v3660 v3663 v3666 v3669 v3672 v3675 v3678 v3681 v3684 (lo thru 17 ).
end if .
VARIABLE LABELS nchild3 'wave 3 number of children in household' .
fre nchild3.

temp.
sel if (v7968=1 and v3645 gt 6999 and v3645 lt 8008 ) .
cro htype2 by nadult3 nchild3.
* 9 cases are missing on the age of the respondent so nine cases of nadult3 are 0 - may be others missing.
*there are 18 married hholds wave 2 with only one adult in hhold and 7  married hholds with no adults.
* there are 14 single person household wave 2 with 2 adults in hhold.
*there are 7 households with kids on htype2 who have no kids on nchild3.
temp.
sel if (v7968=1 and v3645 gt 6999 and v3645 lt 8008 ) .
cro htype2 by nadult3 by marflag3.
* marflag3 suggests that 10 of the 18 one-adult married household wave 2 have no spouse in the household.
temp.
sel if (v7968=1 and v3645 gt 6999 and v3645 lt 8008 and (htype2=1 or htype2=3) and nchild3=0) .
fre  v3654 v3657 v3660 v3663 v3666 v3669 v3672 v3675 v3678 v3681 v3684 .
* 4 of the 7 missing children are aged 18 now.

do if  (v7968=1 and v3645 gt 6999 and v3645 lt 8008 and (htype2=1 or htype2=3) and nchild3=0) .
count n18=  v3654 v3657 v3660 v3663 v3666 v3669 v3672 v3675 v3678 v3681 v3684 (18 ).
end if .
fre n18.
do if (v7968=1and v3645 gt 6999 and v3645 lt 8008  ) .
compute htype3=htype2.
if ((htype2=6 or htype2=7) and civstat3=1)htype3=2.
if (n18 gt 0)htype3=htype3+1.
end if .
value labels htype3 1  'Married with kids'	2  'Married no kids'  		
	3  'R is female HoH with kids'	4  'R is female HoH no kids'
	5  'R is male HoH with&without kids'  6  'One person hhold-male'  
            7  'One person hhold-female'		
	8  'other/complex'  -8 'missing'.	
Variable labels htype3 ' New Household W3 -from W2 adjusted by marstat w3 and nkids'.
temp.
sel if (v7968=1and v3645 gt 6999 and v3645 lt 8008 ) .
fre htype3 .

*************************************************************************.
*Wave 4 household.
***********************************.
*************.
*new htype4 - codes 1 and 2 may have other adults in hhold.
*************************************.
***************.
*doing with re-done htype using v410 not v430.
*check on marital status change.
temp.
sel if (v7968=1 and v5656 gt 3000 and v5656 lt 3950 ) .
cro htype3 by civstat4 spouse4.
* 8 people are now married who were in one-adult hholds and 4 people from 'other' households.
cro htype3 by civstat4 by marflag4.
* 3 female HoH without kids got married and 2 male HoH.

*check on adults and chldren in hhold change.
do if (v7968=1 and v5656 gt 3000 and v5656 lt 3950) .
count nadult4= v5662 v5665 v5668 v5671 v5674 v5677 v5680 v5683 v5686 v5689 v5692 v5695 (18 thru hi).
end if .
VARIABLE LABELS nadult4 'wave 4 number of adults in household' .
fre nadult4.
recode nchild4 (lo thru hi=sysmis) .
do if (v7968=1 and v5656 gt 3000 and v5656 lt 3950) .
count nchild4= v5665 v5668 v5671 v5674 v5677 v5680 v5683 v5686 v5689 v5692 v5695 (lo thru 17 ).
end if .
VARIABLE LABELS nchild4 'wave 4 number of children in household' .
fre nchild4.
do if (v7968=1 and v5656 gt 3000 and v5656 lt 3950) .
count under184=  v5665 v5668 v5671 v5674 v5677 v5680 v5683 v5686 v5689 v5692 v5695  (lo thru 17 ).
end if .
VARIABLE LABELS under184 'wave 4 number of children under 18 in household' .
fre under184.
do if (v7968=1 and v5656 gt 3000 and v5656 lt 3950) .
count under54=  v5665 v5668 v5671 v5674 v5677 v5680 v5683 v5686 v5689 v5692 v5695  (lo thru 4 ).
end if .
VARIABLE LABELS under54 'wave 4 number of children under 5 in household' .
fre under54.
***********.
*youngest.
************.
do if (v7968=1 and  v5656 gt 3000 and v5656 lt 3950 and under184 gt 0) .
compute agekid4=99.
if (v5665 lt 18)agekid4=v5665.
if (v5668 lt agekid4 )agekid4=v5668.
if (v5671 lt agekid4)agekid4=v5671.
if (v5674 lt agekid4)agekid4=v5674.
if (v5677 lt agekid4)agekid4=v5677.
if (v5680 lt agekid4)agekid4=v5680.
if (v5683 lt agekid4)agekid4=v5683.
if (v5686 lt agekid4)agekid4=v5686.
if (v5689 lt agekid4)agekid4=v5689.
if (v5692 lt agekid4)agekid4=v5692.
if (v5695 lt agekid4)agekid4=v5695.
end if .
variable labels agekid4 'wave 4 age of youngest child in household' .
fre agekid4.


temp.
sel if (v7968=1 and v5656 gt 3000 and v5656 lt 3950 ) .
cro htype3 by nadult4 nchild4.
* 10 cases are missing on the age of the respondent as 10 cases of nadult4 are 0 - may be others missing.
*there are 16 married hholds wave 3 with only one adult in hhold wave 4
 * and 8  married hholds with no adults.
* there are 10 single person household wave 3 with 2 adults in hhold wave 4.
*there are 10 households with kids on htype3 who have no kids on nchild4.
temp.
sel if (v7968=1 and v5656 gt 3000 and v5656 lt 3950 ) .
cro htype3 by nadult4 by marflag4.
* marflag4 suggests that 16 of the 16 one-adult married household wave 2 have no spouse in the household.
* but they may have separated.
temp.
sel if (v7968=1 and v5656 gt 3000 and v5656 lt 3950 and (htype2=1 or htype2=3) and nchild4=0) .
fre v5662 v5665 v5668 v5671 v5674 v5677 v5680 v5683 v5686 v5689 v5692 v5695 .
* 3 of the 10 missing children are aged 18 now.

do if  (v7968=1 and v5656 gt 3000 and v5656 lt 3950 and (htype2=1 or htype2=3) and nchild4=0) .
count n18w4= v5662 v5665 v5668 v5671 v5674 v5677 v5680 v5683 v5686 v5689 v5692 v5695 (18 ).
end if .
fre n18w4.
do if (v7968=1and v5656 gt 3000 and v5656 lt 3950  ) .
compute htype4=htype3.
if ((htype3=6 or htype3=7) and civstat4=1)htype4=2.
if (n18w4 gt 0)htype4=htype4+1.
end if .
value labels htype4 1  'Married with kids'	2  'Married no kids'  		
	3  'R is female HoH with kids'	4  'R is female HoH no kids'
	5  'R is male HoH with&without kids'  6  'One person hhold-male'  
            7  'One person hhold-female'		
	8  'other/complex'  -8 'missing'.	
Variable labels htype4 ' New Household W4 -from W3 adjusted by marital status w4 and nkids'.
temp.
sel if (v7968=1and v5656 gt 3000 and v5656 lt 3950 ) .
fre htype4 .
	
					Freq	%	Valid%	Cumulative Percent
	
Valid	1.00  Married with kids			374	37.2	37.7	37.7
	2.00  Married no kids			286	28.4	28.9	66.6
	3.00  R is female HoH with kids		54	5.4	5.4	72.0
	4.00  R is female HoH no kids		24	2.4	2.4	74.5
	5.00  R is male HoH with&without kids	21	2.1	2.1	76.6
	6.00  One person hhold-male		55	5.5	5.5	82.1
	7.00  One person hhold-female		111	11.0	11.2	93.3
	8.00  other/complex			66	6.6	6.7	100.0
	Total					991	98.5	100.0		
Missing	System					15	1.5			
Total						1006	100.0	.
		
*fix the missing vals htype3 and 4  -9 for not interviewed and -8 for system miss.
recode htype3 htype4 (sysmis,-9=-8) (else=copy).
fre htype3 htype4.
temp.
sel if (v7968=1 and v5656 gt 3000 and v5656 lt 3950 and sexmiss=0). 
save outfile='c:\program files\spss\atus\1975\w4household .sav'
        /keep id v5656 wave year sex age civstat4 marflag4 htype4  nadult4 under184 under54 agekid4.

*********************************************.
*famstat - individual lifecycle status.
*done on individual wave files.
* didn't derive young adults living with parents as not available on other decades. 
*However could do it for detailed comparison with 2003.
*********************************************.

do if (under18=0 and age lt 40). 
compute famstat=0.
else if (under5 gt 0).
compute famstat=1.
else if  ( under5 = 0 and under18 gt 0).
compute famstat=2.
else if (under18 = 0 and age ge 40).
compute famstat=3.
end if.
value labels famstat 0 'adult age< 39 ,no kids <18 co-resident'
                              1 'adult&co-resident kid/s <5'
                              2 'adult&co-residentkid/s 5-18'
                              3 'adult age 40+, no co-resident kids <18'   
                              -8 'missing' .
variable labels famstat 'Individual lifestyle status' .
fre famstat.
recode famstat (sysmis=-8) (else=copy).
cro famstat by htype.

**************************************.
*rename htype variables hhtype to conform with other surveys.
*****************************************.

*these are errors which can be fixed using longitudinal information.

sort cases by hhid pid wave.

*fix errors.
if (hhid=1408 or hhid=1144) and wave>2 hhtype=1.
if hhid=1408 and wave=4 nadult=2.
if hhid=1408 and wave>2 retired=0.
if hhid=1408 and wave>2 student=0.
if hhid=1408 and wave>2 empsp=-8.
if hhid=1102 and wave>2 famstat=3.
if hhid=1102 and wave>2 under18=0.
if hhid=1102 and wave<3 ageyngst=17.
if hhid=1102 and wave>2 ageyngst=18.
if hhid=1365 ageyngst=7.
if hhid=896 ageyngst=8.

Do if hhid=69. 
   If wave=4 famstat=2.
   If wave=4 under18=2.
   If wave=1 or wave=2 or wave=4 ageyngst=15.
End if.
If hhid=84 and wave<3 ageyngst=7.
If hhid=99 and wave<3 ageyngst=16.
If hhid=116 and wave<3 ageyngst=13.
If hhid=118 and wave<3 ageyngst=1.
If hhid=198 and wave=1 ageyngst=6.
If hhid=207 and wave<3 ageyngst=6.
If hhid=277 and wave<3 ageyngst=7.
Do if hhid=298 and wave=3.
   compute famstat=2.
   compute nadult=2.
   compute under18=3.
   compute ageyngst=9.
End if.
Do if hhid=322 and wave=4.
   compute famstat=2.
   compute under18=1.
   compute ageyngst=9.
End if.
If hhid=369 and wave<3 ageyngst=17.
If hhid=382 and wave<3 ageyngst=12.
If hhid=414 and wave<3 ageyngst=8.
If hhid=501 and wave<3 ageyngst=6.
If hhid=678 and wave<3 ageyngst=14.
If hhid=705 and wave<3 ageyngst=8.
If hhid=740 and wave=4 ageyngst=8.
If hhid=740 and wave=4 under18=2.
If hhid=740 and wave=4 nadult=1.
If hhid=740 and wave=4 famstat=2.
If hhid=783 and wave<3 ageyngst=14.
If hhid=822 and wave<3 ageyngst=1.
If hhid=954 and wave<3 ageyngst=17.
If hhid=954 and wave>2 ageyngst=18.
If hhid=1024 and wave<3 ageyngst=13.
If hhid=1028 and wave<3 ageyngst=5.
If hhid=1037 and wave<3 ageyngst=7.
If hhid=1041 and wave<3 ageyngst=11.
If hhid=1045 and wave<3 ageyngst=13.
Do if hhid=1088 and wave=4.
   compute famstat=2.
   compute nadult=2.
   compute under18=1.
   compute ageyngst=15.
End if.
If hhid=1101 and wave<3 ageyngst=8.
Do if hhid=1112 and wave=4.
   compute famstat=2.
   compute under18=1.
   compute ageyngst=17.
End if.
If hhid=1133 and wave<3 ageyngst=1.
If hhid=1168 and wave<3 ageyngst=7.
Do if hhid=1225 and wave=3.
   compute famstat=2.
   compute nadult=2.
   compute under18=3.
   compute ageyngst=3.
End if.
if hhid=1225 under5=1.
If hhid=1389 and wave<3 ageyngst=16.
If hhid=1416 and wave<3 ageyngst=6.
If hhid=1422 and wave<3 ageyngst=17.
If hhid=1422 and wave>2 ageyngst=18.
If hhid=1422 and wave=3 nadult=3.
If hhid=1461 and wave<3 ageyngst=13.
If hhid=1485 and wave<3 ageyngst=15.
If hhid=1506 and wave=4 ageyngst=17.
If hhid=1507 and wave<3 ageyngst=16.
if (hhid=255 or hhid=821) and under18>0 hhtype=1.
if (hhid=255 or hhid=821) and under18>0 famstat=2.
execute.

cro famstat by under18.

if (ageyngst>-1 and ageyngst<5) and famstat=2 famstat=1.
if ageyngst>4 and famstat=1 famstat=2.
cro ageyngst by famstat.

sort cases by survey wave hhid pid.



