********************************
*use new1975.
****************************. 

****************************************.
*respondent  case id variables.
* V2 the interview number uniquely identifies each respondent.
* v7968 identifies whether respondent or spouse. 
* urbanicity variables only on Wave 1but is unlabelled.
*****************************************.
*the case ids from us67ev for year 75 are the same as sy7580y75. 
*Therefore I can write out labelled urban from us67 to match into 
* new1975.
*writing out urban from us67 - keep age as well to check. 
temp.
sel if (year=75) .
*sel if (v2 lt 3000).
*des id.
save outfile='c:\program files\spss\atus\1975\urban.sav'
        /keep id age urban  .

match.
temp .
do if (age gt -8 and v7968=1) .
pear corr age age67.
*the age correlation is .997.
* I had done some cleaning on age.
fre age age67.
do if (v7968=1 and age gt 17) .
compute agemat3=age -age67 .
end if .
fre agemat3.
* 98% of age values are the same or only one year out, may be cleaning.
*However better to use urban to identify the urban areas on v6 and v12.
cro  v6 v12 by urban.
Count
		URBAN  URBANICITY OF RESP.'S HOME		Total
						0  NOT URBAN	1  URBAN		
V6  URBANIZTN (FRM SPA/PSU)	1			92	92
					2			59	59
					3			187	187
					4			204	204
					5	246		790	1036
					7	667		161	828
Total						913		1493	2406 .

Count
		URBAN  URBANICITY OF RESP.'S HOME		Total
			0  NOT URBAN	1  URBAN		
V12  URBANICITY	1		139	139
			2		356	356
			3		354	354
			4		162	162
			5		323	323
			6	368		368
			7		159	159
			8	545		545
Total				913	1493	2406

* v12 is better - no confounds as in v6.
* Use v12.
recode v12 (1 thru 5,7=1) (6,8=0) into urban .
variable labels urban 'urbanicity from v12 wave 1' .
value labels urban 0 'not urban' 1 'urban' .
temp .
sel if ( v7968=1) .
fre urban.
			Freq	%	Valid%	Cumulative Percent
Valid	.00  not urban	563	37.1	37.1	37.1
	1.00  urban	956	62.9	62.9	100.0
	Total		1519	100.0	100.0	.

******************************.
*state.
**************************.
rename variables (v13=state).
Value labels state	
      01        'ALABAMA'
       02        'ALASKA'
       04        'ARIZONA'
       05        'ARKANSAS'
       06        'CALIFORNIA'
       08        'COLORADO'
       09        'CONNECTICUT'
       10        'DELAWARE'
       11        'DISTRICT OF COLUMBIA'
       12        'FLORIDA'
       13        'GEORGIA'
       15        'HAWAII'
       16        'IDAHO'
       17        'ILLINOIS'
       18        'INDIANA'
       19        'IOWA'
       20        'KANSAS'
       21        'KENTUCKY'
       22        'LOUISIANA'
       23        'MAINE'
       24        'MARYLAND'
       25        'MASSACHUSETTS'
       26        'MICHIGAN'
       27        'MINNESOTA'
       28        'MISSISSIPPI'
       29        'MISSOURI'
       30        'MONTANA'
       31        'NEBRASKA'
       32        'NEVADA'
       33        'NEW HAMPSHIRE'
       34        'NEW JERSEY'
       35        'NEW MEXICO'
       36        'NEW YORK'
       37        'NORTH CAROLINA'
       38        'NORTH DAKOTA'
       39        'OHIO'
       40        'OKLAHOMA'
       41        'OREGON'
       42        'PENNSYLVANIA'
       44        'RHODE ISLAND'
       45        'SOUTH CAROLINA'
       46        'SOUTH DAKOTA'
       47        'TENNESSEE'
       48        'TEXAS'
       49        'UTAH'
       50        'VERMONT'
       51        'VIRGINIA'
       53        'WASHINGTON'
       54        'WEST VIRGINIA'
       55        'WISCONSIN'
       56        'WYOMING' .
fre state.
*****************************************.
*epa and census region.
*************************************.
fre v5.
fre v16.
cro state by v16.
cro state by v5.
compute regionc=v16.
variable labels regionc 'census region - 4 category'.
value labels regionc 1 'West' 2 'Mid-West' 3 'North-East' 4 'South' .
fre regionc. 
**********************************.
*the 9 category region variable crosses state categories, leave it.
*and has missing cases. 
*************************************************************************.
temp.
sel if (v7968=1) .
save outfile='c:\program files\spss\atus\1975\w1geog.sav'
        /keep id regionc state urban  .

*************************************************.
*use combined file.
*recoding from state into 9-category variable in 1975 - using crosstabs from 1992-4.
if (survey=2 and (state=16 or state=41 or state=53))regione=0.
if (survey=2 and (state=9 or state=23 or state=25 or state=33 or state=44 or state=50))regione=1.
if (survey=2 and (state=34 or state=36 ))regione=2.
if (survey=2 and (state=10 or state=11 or state=24 or state=42 or state=51 or state=54))regione=3.
if (survey=2 and (state=1 or state=12 or state=13 or state=28 or state=37 or state=45 or state=47))regione=4.
if (survey=2 and (state=17 or state=18 or state=21 or state=26 or state=27 or state=39 or state=55))regione=5.
if (survey=2 and (state=5 or state=22 or state=35  or state=40 or state=48 ))regione=6.
if (survey=2 and (state=19 or state=20 or state=29 or state=31))regione=7.
if (survey=2 and (state=8 or state=30 or state=38 or state=46 or state=49 or state=51 or state=56))regione=8.
if (survey=2 and (state=4 or state=6 or state=32))regione=9.
cro regione by survey/cells=col.
* I have coded Utah into north central,but not sure?
temp .
sel if (survey=2).
fre state.

