


GET
   FILE='T:\Nuno\1995 data\USA92-94QUEST-ISER-AN(PID).SAV'.

SAVE OUTFILE='T:\Nuno\AGE HARMONISATION\USA92-94QUEST_PID_YOB_YEAR_AGE.sav'
    /KEEP pid year yob age
    /COMPRESSED.

GET
   FILE='T:\Nuno\AGE HARMONISATION\USA92-94QUEST_PID_YOB_YEAR_AGE.sav'.
 EXECUTE .

******************************************.
* computing age (age_tmp), taking out missing values from yob (year of birth)
* age is equal to year of survey (year) minus [year of birth (yob) plus 1900 {because 
*yob as only the two last digits}]
********************************************** .

IF (yob ~= 99) age_tmp = year - (yob + 1900) .
 EXECUTE .

 FREQUENCIES
   VARIABLES=age_tmp  .

**********************************************.
*1)----recoding age_tmp so that subjects with values 92 or more
*are included in a category "92 or more". This because the 
*values of yob (year of birth) have a ceiling value of "00"
*wich is labelled "born before 1900", so: 
*IF THE SURVEY IS IN 1992, THE ONES BORN BEFORE 1900 HAVE MORE THAN 92 YEARS
*IF THE SURVEY IS IN 1993, THE ONES BORN BEFORE 1900 HAVE MORE THAN 93 YEARS
*ETCETERA
*SO, EVERYONE MORE THAN OR EQUAL TO  92 HAS TO BE RECODED AS >= 92 YEARS
*
* 2)--- recoding missing values (.) to 999 and keeping the original label of yob
*value of 99 which was "DK/REFUSAL"
*
* 3)--*CHANGING NAME OF VARIABLE "AGE_TMP" TO "AGE"
***************************************************.

MISSING VALUES age_tmp ("999.").
 VALUE LABELS age_tmp
  92 "92 years or more"
  999 "DK-REFUSAL" .
 
RECODE
   age_tmp  (MISSING=999)  (92 thru Highest=92)  .
 EXECUTE .

 FREQUENCIES
   VARIABLES=age_tmp  .

SAVE OUTFILE='T:\Nuno\AGE HARMONISATION\1992-94\USA92'+
  '-94QUEST_PID_YOB_YEAR_AGE.SAV'
    /keep pid yob year age_tmp.
  
GET
   FILE='T:\Nuno\AGE HARMONISATION\1992-94\USA92-94QUEST_PID_YOB_YEAR_AGE.SAV'.
   EXECUTE . 


RENAME VARIABLES (age_tmp=AGE).

SAVE OUTFILE='T:\Nuno\AGE HARMONISATION\1992-94\USA92'+
 '-94QUEST_PID_YOB_YEAR_AGE.SAV'
    /COMPRESSED.

FREQ AGE.

**************************************************************

AGE


                                                        Valid     Cum
Value Label                 Value  Frequency  Percent  Percent  Percent

                              .00        22       .2       .2       .2
                             1.00        93      1.0      1.0      1.3
                             2.00       124      1.3      1.3      2.6
                             3.00       127      1.4      1.4      4.0
                             4.00       113      1.2      1.2      5.2
                             5.00       125      1.3      1.4      6.6
                             6.00       119      1.3      1.3      7.9
                             7.00       102      1.1      1.1      9.0
                             8.00        97      1.0      1.1     10.0
                             9.00       106      1.1      1.2     11.2
                            10.00        80       .9       .9     12.0
                            11.00        87       .9       .9     13.0
                            12.00        72       .8       .8     13.8
                            13.00       103      1.1      1.1     14.9
                            14.00        98      1.0      1.1     16.0
                            15.00        97      1.0      1.1     17.0
                            16.00       114      1.2      1.2     18.3
                            17.00       101      1.1      1.1     19.3
                            18.00       108      1.2      1.2     20.5
                            19.00        90      1.0      1.0     21.5
                            20.00        83       .9       .9     22.4
                            21.00        87       .9       .9     23.4
                            22.00       144      1.5      1.6     24.9
                            23.00       144      1.5      1.6     26.5
                            24.00       134      1.4      1.5     27.9
                            25.00       161      1.7      1.8     29.7
                            26.00       163      1.7      1.8     31.5
                            27.00       138      1.5      1.5     33.0
                            28.00       168      1.8      1.8     34.8
                            29.00       159      1.7      1.7     36.5
                            30.00       154      1.6      1.7     38.2
                            31.00       198      2.1      2.2     40.3
                            32.00       166      1.8      1.8     42.1
                            33.00       165      1.8      1.8     43.9
                            34.00       171      1.8      1.9     45.8
                            35.00       158      1.7      1.7     47.5
                            36.00       157      1.7      1.7     49.2
                            37.00       162      1.7      1.8     51.0
                            38.00       133      1.4      1.4     52.4
                            39.00       139      1.5      1.5     53.9
                            40.00       148      1.6      1.6     55.5
                            41.00       157      1.7      1.7     57.3
                            42.00       133      1.4      1.4     58.7
                            43.00       134      1.4      1.5     60.2
                            44.00       159      1.7      1.7     61.9
                            45.00       139      1.5      1.5     63.4





AGE

                            46.00       140      1.5      1.5     64.9
                            47.00       127      1.4      1.4     66.3
                            48.00       124      1.3      1.3     67.6
                            49.00       101      1.1      1.1     68.7
                            50.00       110      1.2      1.2     69.9
                            51.00       140      1.5      1.5     71.5
                            52.00       119      1.3      1.3     72.8
                            53.00       104      1.1      1.1     73.9
                            54.00        94      1.0      1.0     74.9
                            55.00       102      1.1      1.1     76.0
                            56.00        93      1.0      1.0     77.0
                            57.00        96      1.0      1.0     78.1
                            58.00       104      1.1      1.1     79.2
                            59.00        90      1.0      1.0     80.2
                            60.00        86       .9       .9     81.1
                            61.00       102      1.1      1.1     82.2
                            62.00       103      1.1      1.1     83.3
                            63.00        83       .9       .9     84.2
                            64.00       101      1.1      1.1     85.3
                            65.00        91      1.0      1.0     86.3
                            66.00        93      1.0      1.0     87.3
                            67.00        88       .9      1.0     88.3
                            68.00        79       .8       .9     89.2
                            69.00        79       .8       .9     90.0
                            70.00        82       .9       .9     90.9
                            71.00        78       .8       .8     91.8
                            72.00        74       .8       .8     92.6
                            73.00        73       .8       .8     93.4
                            74.00        78       .8       .8     94.2
                            75.00        59       .6       .6     94.8
                            76.00        59       .6       .6     95.5
                            77.00        46       .5       .5     96.0
                            78.00        59       .6       .6     96.6
                            79.00        36       .4       .4     97.0
                            80.00        45       .5       .5     97.5
                            81.00        39       .4       .4     97.9
                            82.00        39       .4       .4     98.4
                            83.00        33       .4       .4     98.7
                            84.00        28       .3       .3     99.0
                            85.00        21       .2       .2     99.2
                            86.00         9       .1       .1     99.3
                            87.00        14       .1       .2     99.5
                            88.00        13       .1       .1     99.6
                            89.00         7       .1       .1     99.7
                            90.00         8       .1       .1     99.8
                            91.00         2       .0       .0     99.8
92 years or more            92.00        16       .2       .2    100.0
DK-REFUSAL                 999.00       187      2.0   Missing
                                     -------  -------  -------
                            Total      9386    100.0    100.0





AGE


Valid cases    9199      Missing cases    187
*******************************************************************************.

**************************************************************************.
**************************************************************************.

*IMPORTANT NOTE:
*further minor edits were carried out at the final checking stage.

**************************************************************************.
**************************************************************************.









