GET
  FILE='T:\Nuno\1965_75 data\usa67-ISER-AN(pid).sav'.

select if year=65.

SAVE OUTFILE='T:\Nuno\ECONOMIC ACTIVITY & WORKHOURS'+
  ' HARMONISATION\1965\usa67_pid_empstat.sav'
/keep pid part full nworkhrs
    /COMPRESSED.

GET
  FILE= 'T:\Nuno\ECONOMIC ACTIVITY & WORKHOURS'+
  ' HARMONISATION\1965\usa67_pid_empstat.sav'.
  
RENAME VARIABLES full=fulltime part=parttime.

COMPUTE NOEMPLOY=0.

DO IF fulltime=9 and parttime=9.
compute noemploy=-7.

else if fulltime=0 and parttime=0.
COMPUTE NOEMPLOY=1.

END IF.
EXECUTE.

RECODE
  fulltime parttime noemploy
   (9=-7)  .
EXECUTE .

VAR LABEL fulltime "RESPONDENT WORKS FULL TIME".
VAR LABEL partime "RESPONDENT WORKS PART TIME".
VAR LABEL noemploy "RESPONDENT IS NOT EMPLOYED".

VALUE LABELS fulltime parttime noemploy
1 'YES'
0 'NO'
-7 'NOT APPLICABLE or refusal'
-8 missing or dirty on the case record

freq fulltime parttime noemploy.

MISSING VALUES
fulltime parttime noemploy("-7." "-8." "-3.").

***********************************************.
*deriving an empstat multinomial variable 
*from the dummies fulltime partime and noemploy
***********************************************. 

compute empstat=-9.
do if fulltime=1.
compute empstat=1.
end if.
execute.

do if parttime=1.
compute empstat=2.
end if.
execute.

do if noemploy=1.
compute empstat=3.
end if.
execute.

VAR LABEL empstat "employment status of respondent".

VALUE LABELS empstat
1 'employed full-time'
2 'employed part-time'
3 'not employed'
-8 'missing or dirty on the case record'
-9 'could not be constructed'
-3 'routed out in the 1992-94 survey'.

freq empstat.

MISSING VALUES empstat ("-9." THRU "-3.").

*********************.
* quality checks
*********************.

CROSSTABS
   /TABLES=fulltime parttime noemploy  BY empstat
   /FORMAT= AVALUE NOINDEX BOX LABELS TABLES
   /CELLS= COUNT .


SAVE OUTFILE='T:\Nuno\ECONOMIC ACTIVITY & WORKHOURS'+
  ' HARMONISATION\1965\usa67_pid_empstat.sav'
 /KEEP pid fulltime parttime noemploy empstat.

**************************************************************************.
**************************************************************************.

*IMPORTANT NOTE:
*further minor edits were carried out at the final checking stage.

**************************************************************************.
**************************************************************************.





