***************************************************************************************************************************.
*use usa67.
***************************************************************************************************************************. 
* household income -for 1975 the variable is 1974 self-report household income banded.
* approx 10% of HoH or spouses are missing - but 18% of non HoH. 
***************************************************************************************************************************.
*just create quartiles for 65,75,85 
*make earnings for 1975.
***************************************************************************************************************************.
temp.
sel if year=65.
fre  nwork nworkhrs.
temp .
sel if ( year=65 and sex=1).
cro income by full.
cro income by educ/cells=row.
temp .
sel if ( year=65 and income lt 10).
fre income.

*quartiles for 1965.

do if (year=65) .
recode income (0 thru 4=1) (5,6=2) (7=3) (8,9=4) (10=-8) into incomeqt.
end if.
fre incomeqt.
value labels incomeqt 1 'lowest 16-19%' 2 '<median 24-28%' 3 '>median 24-27%' 
         4 'highest 30-32%' -8 'missing'.
variable labels incomeqt 'household income in approximate quartiles' . 

temp.
sel if year=65.
fre incomeqt.

***************************************************************************************************************************
				Freq	%	Valid%	Cumulative Percent
Valid	-8.00  missing		44	2.2	2.2	2.2
	1.00  lowest 16-19%	322	15.9	15.9	18.1
	2.00  <median 24-28%	545	27.0	27.0	45.1
	3.00  >median 24-27%	489	24.2	24.2	69.3
	4.00  highest 30-32%	621	30.7	30.7	100.0
	Total			2021	100.0	100.0		
***************************************************************************************************************************.

save outfile='c:\program files\spss\atus\income65.sav'
        /keep id income incomeqt .

*quartiles for 1975.
***************************************************************************************************************************.
*use new1975.
***************************************************************************************************************************.
 
do if (v7968=1).
recode v327 (1 thru 4=1) (5 thru 9=2) (10,11,12=3) (13 thru 18=4) (sysmis=-8) into incomeqt.
end if.
value labels incomeqt 1 'lowest 16-19%' 2 '<median 24-28%' 3 '>median 24-27%' 
         4 'highest 30-32%' -8 'missing'.
variable labels incomeqt 'household income in approximate quartiles' . 
fre incomeqt.
temp.
sel if (v7968=1).
fre incomeqt.
***************************************************************************************************************************
				Freq	%	Valid%	Cumulative Percent
Valid	-8.00  missing		179	11.8	11.8	11.8
	1.00  lowest 16-19%	277	18.2	18.2	30.0
	2.00  <median 24-28%	367	24.2	24.2	54.2
	3.00  >median 24-27%	330	21.7	21.7	75.9
	4.00  highest 30-32%	366	24.1	24.1	100.0

	Total			1519	100.0	100.0	.
***************************************************************************************************************************.
temp.
sel if (v7968=1).
save outfile='c:\program files\spss\atus\1975\income75.sav'
        /keep id v327 incomeqt .

**************************************************************************.
**************************************************************************.

*IMPORTANT NOTE:
*further minor edits were carried out at the final checking stage.

**************************************************************************.
**************************************************************************.



