GET FILE='T:\Nuno\1965_75 data\usa67-ISER-AN(pid).sav'.

select if year=65.

SAVE OUTFILE= 'T:\Nuno\HHTYPE harmonisation\1965\usa67_pid_hhtype.sav'
/keep pid hhtype under5 under18.

GET FILE='T:\Nuno\HHTYPE harmonisation\1965\usa67_pid_hhtype.sav'.

VALUE LABELS hhtype
  1 "MARRIED WITH CHILD"
  2 "MARRIED WITHOUT CHILD"
  3 "FEMALE HH WITH CHILD"
  4 "FEMALE HH WITHOUT CHILD"
  5 "MALE HH"
  6 "SINGLE MALE"
  7 "SINGLE FEMALE"
  8 "OTHER"
 -8 "MISSING OR DIRTY ON THE CASE RECORD"
 -9 "QUESTION NOT ASKED"

MISSING VALUES hhtype ("-8." "-9.").

CROSSTABS
  /TABLES=under18  BY hhtype
  /FORMAT= AVALUE TABLES
  /CELLS= COUNT .

***********************************************************************************************************************.
* As can be seen in table there is a sistematic inconsistency with "number of children under 18".
*recoding hhtype to correct the systematic inconsistencies in the number of children in the household.
*A Flag variable will be computed to flag these cases
***********************************************************************************************************************.

RECODE
  hhtype  (1=2)  (2=1)  (3=4)  (4=3)  .
EXECUTE .

CROSSTABS
  /TABLES=under18  BY hhtype
  /FORMAT= AVALUE TABLES
  /CELLS= COUNT .

******************************************************************************.
*creating a flag variable
***************************************************************************************************************************.

compute kidflag=0.
VARIABLE LABELS kidflag "cases where inconsistency between hhtype and number of children was corrected"

do if hhtype=1 or hhtype=2 or hhtype=3 or hhtype=4 .
compute kidflag=1.

end if.
execute.

VALUE LABELS kidflag
1 "correct inconsistencies on number kids in heritage file".


SAVE OUTFILE='T:\Nuno\HHTYPE harmonisation\1965\usa67_pid_hhtype.sav'
/keep pid hhtype kidflag
  /COMPRESSED.

**************************************************************************.
**************************************************************************.

*IMPORTANT NOTE:
*further minor edits were carried out at the final checking stage.

**************************************************************************.
**************************************************************************.

