*AHTUS conversion syntax - add occupation. This variable
*supplements the original beta version of this dataset.
*create by Dr. Kimberly Fisher, ISER Time Use Team
*University of Essex, Wivenhoe Park, Colchester CO4 3SQ UK
*8 March 2006.

*1965-66.

GET FILE='O:\worked on data\1965_1975\EXTRA DATA NOT USED\us65-66turp.sav'
   /keep id occ v24 v38 v39 v40 v84.

freq occ v24 v38 v39 v40 v84.

cro occ by v24 v38 v39 v40 v84.

rename variables id=pid.

recode occ (1=2) (2=9) (3 thru 4=7) (5 thru 6=8) (7=4)
   (8=6) (9=5) (10=10) (11=3) (12=4) (13=5) (17 thru 19=9)
   (21 thru 23=17) (28 thru 29=1) (30 thru 32=13) (33 thru 37=12)
   (38=13) (39=12) (41=17) (42 thru 51=16) (61 thru 64=11)
   (65 thru 69=15) (71=14) (78 thru 79=16) (81 thru 89=14) 
   (91 thru 97=-7) (else=-8) into occup.
var lab occup occupation.
val lab occup
-9 not asked in study
-8 item missing
-7 not working 
1  management
2  finance & accounts
3  "science (life, physical, social)"
4  engineer, technical & architecture
5  community & social services
6  legal professions
7  education 
8  health professionals
9  other professionals
10 health care support
11 protective services
12 sales
13 office support, administration
14 farming, fishing, forestry
15 services
16 construction & production
17 "self-employed non-professional".
cro occup by occ.
freq occup.

sort cases by pid.

save outfile="m:\oc65.sav"
   /keep pid occup.

get file='O:\Final harmonised files\Harmonised files\Questionnaire\USA65_66quest.sav'.

sort cases by pid.

match files files="m:\oc65.sav" /in=home
      files=* /in=main
   /by pid.

cro home by main.
*as noted in the conversion of the spouse employment file, there is 1 case
*in this file not in the main file, and the main file has 21 more cases than
*this file, though those 21 cases have loads of missing information. The single 
*case is remove and the remaining cases set to -8.

select if main=1.
recode occup (sysmis=-8).
If occup=-8 and empstat=3 occup=-7.
freq occup.
cro occup by empstat.

sort cases by survey wave hhid pid. 

save outfile='O:\Final harmonised files\Harmonised files\Questionnaire\USA65_66quest.sav'
   /keep survey wave hhid pid state regionc regione 
    urban ownhome age sex ethnic ethnic2 hisp educ 
    civstat cohab marrflag famstat hhtype kidflag nadult 
    under18 under5 ageyngst nkidflag fulltime parttime 
    noemploy empstat occup unemp retired empsp disab 
    student homemakr wkhrs nwork empflag wkhrflag 
    wagelm incomeqt income65 income75 income03.

*1975-76.

get file = 'O:\worked on data\1975\new1975.sav'
   /keep v2 v7977 v2439 v3690 v5701 v7981 v3403 v4904 v6944.

rename variables (v2=hhid).
freq v301.

recode v301 (1=1) (2=2) (3 thru 4=3) (else=-8) into ownhome.
var lab ownhome own or rent home.
val lab ownhome
   -9 not available in survey
   -8 missing
    1 owner or buying home
    2 rent
    3 other.
cro ownhome by v301.
freq ownhome.

sort cases by hhid.
*keep only main respondent cases - main respondent personl id treated as the
*household ID, and in this case the same information should match to the 
*spouse.
select if hhid<2000.
execute.

*note that the own or rent home question only asked in wave 1, and this
*answer is matched to other waves.

save outfile="m:\own75.sav"
   /keep hhid ownhome.

GET FILE='O:\Final harmonised files\Harmonised files\Questionnaire\USA75_76quest.sav'.

sort cases by hhid.

match files table="m:\own75.sav" /in=home
      files=* /in=main
   /by hhid.

cro home by main.
freq ownhome.

sort cases by survey wave hhid pid. 

save outfile='O:\Final harmonised files\Harmonised files\Questionnaire\USA75_76quest.sav'
   /keep survey wave hhid pid state regionc regione urban ownhome age sex ethnic ethnic2 
    hisp educ civstat cohab marrflag famstat hhtype kidflag nadult under18 under5 ageyngst 
    nkidflag fulltime parttime noemploy empstat unemp retired disab student homemakr wkhrs 
    nwork empflag wkhrflag wagelm incomeqt income65 income75 income03.

*1985 in whole 1985 file.

*1992-94.

GET FILE='O:\Final harmonised files\Harmonised files\Questionnaire\USA92_94quest.sav'.

compute ownhome=-9.
var lab ownhome own or rent home.
val lab ownhome
   -9 not available in survey
   -8 missing
    1 owner or buying home
    2 rent
    3 other.
freq ownhome.

save outfile='O:\Final harmonised files\Harmonised files\Questionnaire\USA92_94quest.sav'.

get file='O:\Final harmonised files\Harmonised files\Questionnaire\USA92_94quest.sav'
   /keep survey wave hhid pid state regionc regione urban ownhome age sex ethnic ethnic2 
    hisp educ civstat cohab marrflag famstat hhtype kidflag nadult under18 under5 ageyngst 
    nkidflag fulltime parttime noemploy empstat unemp retired disab student homemakr wkhrs 
    nwork empflag wkhrflag wagelm incomeqt income65 income75 income03.

save outfile='O:\Final harmonised files\Harmonised files\Questionnaire\USA92_94quest.sav'.

*2003 extracted in the 2003 conversion syntax as this file is one comprehensive
*conversion syntax.

freq workplce.