*AHTUS conversion syntax
*testing of non-response in the ATUS by Katharine Abraham revealed that people
*who rent as opposed to owning their own home are more likely to not complete
*diaries. This syntax adds in the variable for whether people own or rent their
*home.
*created by Dr. Kimberly Fisher, ISER Time Use Team
*University of Essex, Wivenhoe Park, Colchester CO4 3SQ UK
*23 December 2005.

*1965-66.

GET FILE='O:\worked on data\1965_1975\EXTRA DATA NOT USED\us65-66turp.sav'
   /keep id v231.

freq v231.

rename variables id=pid.

recode v231 (1=1) (2=2) (3 thru 7=3) (else=-8) into ownhome.
var lab ownhome own or rent home.
val lab ownhome
   -9 not available in survey
   -8 missing
    1 owner or buying home
    2 rent
    3 other.
cro ownhome by v231.
freq ownhome.

sort cases by pid.

save outfile="m:\own65.sav"
   /keep pid ownhome.

get file='O:\Final harmonised files\Harmonised files\Questionnaire\USA65_66quest.sav'.

sort cases by pid.

match files files="m:\own65.sav" /in=home
      files=* /in=main
   /by pid.

cro home by main.

select if main=1.
recode ownhome (sysmis=-8).
freq ownhome.

sort cases by survey wave hhid pid. 

save outfile='O:\Final harmonised files\Harmonised files\Questionnaire\USA65_66quest.sav'
   /keep survey wave hhid pid state regionc regione urban ownhome age sex ethnic ethnic2 
    hisp educ civstat cohab marrflag famstat hhtype kidflag nadult under18 under5 ageyngst 
    nkidflag fulltime parttime noemploy empstat unemp retired disab student homemakr wkhrs 
    nwork empflag wkhrflag wagelm incomeqt income65 income75 income03.

*1975-76.

GET FILE='O:\worked on data\1975\new1975.sav'
   /keep v2 v301.

rename variables (v2=hhid).
freq v301.

recode v301 (1=1) (2=2) (3 thru 4=3) (else=-8) into ownhome.
var lab ownhome own or rent home.
val lab ownhome
   -9 not available in survey
   -8 missing
    1 owner or buying home
    2 rent
    3 other.
cro ownhome by v301.
freq ownhome.

sort cases by hhid.
*keep only main respondent cases - main respondent personl id treated as the
*household ID, and in this case the same information should match to the 
*spouse.
select if hhid<2000.
execute.

*note that the own or rent home question only asked in wave 1, and this
*answer is matched to other waves.

save outfile="m:\own75.sav"
   /keep hhid ownhome.

GET FILE='O:\Final harmonised files\Harmonised files\Questionnaire\USA75_76quest.sav'.

sort cases by hhid.

match files table="m:\own75.sav" /in=home
      files=* /in=main
   /by hhid.

cro home by main.
freq ownhome.

sort cases by survey wave hhid pid. 

save outfile='O:\Final harmonised files\Harmonised files\Questionnaire\USA75_76quest.sav'
   /keep survey wave hhid pid state regionc regione urban ownhome age sex ethnic ethnic2 
    hisp educ civstat cohab marrflag famstat hhtype kidflag nadult under18 under5 ageyngst 
    nkidflag fulltime parttime noemploy empstat unemp retired disab student homemakr wkhrs 
    nwork empflag wkhrflag wagelm incomeqt income65 income75 income03.


*1985 in file for converting whole of 1985.

*1992-94.

GET FILE='O:\Final harmonised files\Harmonised files\Questionnaire\USA92_94quest.sav'.

compute ownhome=-9.
var lab ownhome own or rent home.
val lab ownhome
   -9 not available in survey
   -8 missing
    1 owner or buying home
    2 rent
    3 other.
freq ownhome.

save outfile='O:\Final harmonised files\Harmonised files\Questionnaire\USA92_94quest.sav'.

get file='O:\Final harmonised files\Harmonised files\Questionnaire\USA92_94quest.sav'
   /keep survey wave hhid pid state regionc regione urban ownhome age sex ethnic ethnic2 
    hisp educ civstat cohab marrflag famstat hhtype kidflag nadult under18 under5 ageyngst 
    nkidflag fulltime parttime noemploy empstat unemp retired disab student homemakr wkhrs 
    nwork empflag wkhrflag wagelm incomeqt income65 income75 income03.

save outfile='O:\Final harmonised files\Harmonised files\Questionnaire\USA92_94quest.sav'.

*2003 extracted in the 2003 conversion syntax as this file is one comprehensive
*conversion syntax.