*************************************************
*set up schema files for questionnaire data for *
*usa heritage files, written by nuno torres     *
*iser, university of essex, july 2005           *
*updated by Kimberly Fisher, CTUR 1 July 2013   *
*************************************************.

*the number 1 added to the first cell.

vector survey(1) wave(1) hhid(1) pid(1) state(1) regionc(1) regione(1) urban(1) ownhome(1) age(1) sex(1)
     ethnic(1) ethnic2(1) hisp(1) educ(1) civstat(1) cohab(1) marrflg(1) famstat(1) hhtype(1) kidflag(1) nadult(1)
     under18(1) under5(1) ageyngt(1) nkidfla(1) fultime(1) partime(1) noemply(1) empstat(1) occup(1) unemp(1) 
     retired(1) empsp(1) disab(1) student(1) homemkr(1) wkhrs(1) nwork(1) empflag(1) wkhrflg(1) wagelm(1) 
     incomqt(1) incom65(1) incom75(1) income98(1) incom03(1).

rename variables (var00001  survey1 wave1 hhid1 pid1 state1 regionc1 regione1 urban1 ownhome1 age1 sex1
     ethnic1 ethnic21 hisp1 educ1 civstat1 cohab1 marrflg1 famstat1 hhtype1 kidflag1 nadult1 under181 
     under51 ageyngt1 nkidfla1 fultime1 partime1 noemply1 empstat1 occup1 unemp1 retired1 empsp1 
     disab1 student1 homemkr1 wkhrs1 nwork1 empflag1 wkhrflg1 wagelm1 incomqt1 incom651 incom751 
     income981 incom031 = schemaq survey wave hhid pid state regionc regione urban ownhome age sex
     ethnic ethnic2 hisp educ civstat cohab marrflag famstat hhtype kidflag nadult under18 under5 
     ageyngst nkidflag fulltime parttime noemploy empstat occup unemp retired empsp disab student 
     homemakr wkhrs nwork empflag wkhrflag wagelm incomeqt income65 income75 income98 income03).
 
*variable labels.
var lab schemaq questionnaire variables schema
/survey survey period
/wave  wave of survey
/hhid household identifier (set to equal pid on surveys 1,3,4,6, & 8)
/pid personal identifier
/state state
/regionc   census region
/regione   epa region
/urban     "urbanicity of respondent's home"
/ownhome   own or rent home
/age       age of respondent
/sex       sex of respondent
/ethnic    ethnic group of respondent
/ethnic2   condensed ethnic group of respondent
/hisp      is res of hispanic origin-descent
/educ      "respondent's educational level"
/civstat   "respondent's marital status"
/cohab with unmarried cohabiting partner
/marrflag  flag for 1975 panel change in marital status
/famstat   individual lifecycle stage (age and child coresident status)
/hhtype    household type
/kidflag   cases where inconsistency between hhtype and number of child
/nadult    number of adults in the household
/under18   number of children under 18 in the household
/under5    number of children under 5 in the household
/ageyngst  age of youngest child
/nkidflag  flag inconsistencies under18,under5,ageyngst
/fulltime  respondent works full time
/parttime  resp. works part time
/noemploy  respondent is not employed
/empstat   employment status of respondent
/occup     occupation
/unemp     respondent is unemployed
/retired   respondent is retired 
/empsp     employment status of spouse or partner
/disab     has disability, l-term lim health cond
/student   respondent is a student
/homemakr  respondent is a homemaker
/wkhrs     number of hours worked per week
/nwork     num of fulltime workers in hh
/empflag   flag for resp working > 20 hours + def as not worker
/wkhrflag  flag for work hours missing
/wagelm  employment income from last month 
/incomeqt  household income in approximate quartiles
/income65  total household income r28 1965
/income75  tot fam income   5-16a 1974
/income98 household income 1998-2001
/income03 household income in 2003-14.

val lab survey
     0 "1965-1966 USA Szalai Jackson sample"
     1 "1965-1966 USA national sample"
     2 "1975-1976 longitudinal survey"
     3 "1985 Univ Michigan survey"
     4 "1992-1994 NHAPS survey"
     5 "1995 NHAPS extension survey"
     6 "1998-1999 Family Interaction, Social Capital"
     7 "2003-2012 ATUS"
     8 "1999-2001 National Survey of Parents".
val lab wave
    -8 missing
     1 'first wave or only wave (2003 ATUS)'
     2 '2nd wave / ATUS 2004'
     3 '3rd wave / ATUS 2005'
     4 '4th wave / ATUS 2006'
     5 5th year ATUS 2007
     6 6th year ATUS 2008
     7 7th year ATUS 2009
     8 8th year ATUS 2010
     9 9th year ATUS 2011
    10 10th year ATUS 2012
    11 11th year ATUS 2013
    12 12th year ATUS 2014.

val lab state
-9 data not available	
 1 Alabama	
 2 Alaska	
 3 Arizona	
 4 Arkansas	
 5 California	
 6 Colorado	
 7 Connecticut	
 8 Delaware	
 9 District of Columbia	
10 Florida	
11 Georgia	
12 Hawaii	
13 Idaho	
14 Illinois	
15 Indiana	
16 Iowa	
17 Kansas	
18 Kentucky	
19 Louisiana	
20 Maine	
21 Maryland	
22 Massachusetts	
23 Michigan	
24 Minnesota	
25 Mississippi	
26 Missouri	
27 Montana	
28 Nebraska	
29 Nevada	
30 New Hampshire	
31 New Jersey	
32 New Mexico	
33 New York	
34 North Carolina	
35 North Dakota	
36 Ohio	
37 Oklahoma	
38 Oregon	
39 Pennsylvania	
40 Rhode Island	
41 South Carolina	
42 South Dakota	
43 Tennessee	
44 Texas	
45 Utah	
46 Vermont	
47 Virginia	
48 Washington	
49 West Virginia	
50 Wisconsin	
51 Wyoming.

val lab regionc 
           1 northeast
           2 midwest
           3 south
           4 west
  	     -9 data not available.
        
val lab regione
           0 mountain
           1 new england
           2 north atlantic
           3 mid atlantic
           4 south atlantic
           5 midwest
           6 south central
           7 center
           8 north central
           9 pacific
          -9 data not available.

val lab urban  
   0    rural
   1    urban
  -8    missing
/ownhome
  -9    no available in survey
  -8    missing
   1    owner or buying home
   2    rent
   3    other
/age      
  92    92 years or more
  -8    missing
/sex      
   1    male
   2    female
  -8    missing
/ethnic  
   1    white
   2    black
   3    asian
   4    some other race
   5    hispanic
  -8    missing
  -9    question not asked
/ethnic2  
   1    white
   2    black
   3    other
  -8    missing
  -9    question not asked
/hisp    
   0    no
   1    yes
  -8    missing
  -9    question not asked
/educ 
   1    0 - 8th grade
   2    9 - 11th grade
   3    high school graduate
   4    some college
   5    college graduate
   6    post college
  -7    not applicable
  -8    missing.

val lab civstat 
   1    married
   2    separated,divorced
   3    widowed
   4    never married
  -8    missing
  -9    question not asked
/marrflag
   0    na
   1    got married
   2    nospouseinhhold
  -9    not constructed
/cohab
  -9 not asked
  -8 missing
   0 no
   1 yes
/famstat 
   0    adult aged 18 to 39 with no coresident children <18
   1    adult 18+ living with 1+ coresident children aged <5
   2    adult 18+ living with 1+ coresident children 5-17, none <5
   3    adult aged 40+ with no coresident children <18
   4    respondent aged <18 and living with parents-guardians
  -8    missing
  -9   could not be constructed
/hhtype  
   1    married with child
   2    married without child
   3    female hh with child
   4    female hh without child
   5    male hh
   6    single male
   7    single female
   8    other
  -8    missing or dirty on the case record
  -9    question not asked
/kidflag 
  -9    not constructed
   0    no kids
   1    inconsistencies on number kids in heritage file
/nadult  
  11    more than 10
  -7    refusal
  -8    missing
  -9    question not asked
/under18 under5
  11    more than 10
  -7    not applicable
  -8    missing
  -9    question not asked
/ageyngst 
   0    less than 1
  -7    not applicable or refusal
  -8    missing or dirty on the case record
  -9    question not asked
/nkidflag 
   0    ok
   1    more under 5
  -9    not constructed.

val lab fulltime
  -8 missing
   0 no
   1 "yes 21+ hrs 65-85; 35+ hrs 92-03"
/parttime
  -8 missing
   0 no
   1 "yes <21 hrs 65-85; <35 hrs 92-03"
/noemploy 
   0    no
   1    yes
  -7    not applicable
  -8    missing
/empstat
   1    employed full-time
   2    employed part-time
   3    not employed
  -3    routed out in the 1992-94 survey
  -8    missing or dirty on the case record
  -9    could not be constructed
/occup
  -9    not asked in study
  -8    item missing
  -7    not working
   1    management
   2    finance & accounts
   3    "science (life, physical, social)"
   4    engineer, technical & architecture
   5    community & social services
   6    legal professions
   7    education
   8    health professionals
   9    other professionals
  10    health care support
  11    protective services
  12    sales
  13    office support, administration
  14    farming, fishing, forestry
  15    services
  16    constructon & production
  17    self-employed non-professional
/unemp student homemakr 
   0    no
   1    yes
  -3    routed out in the 1992-94 survey
  -7    not applicable
  -8    missing
/empsp
   1    employed full-time
   2    employed part-time
   3    employed, hours not known
   4    not employed
  -7    not relevant or not asked
  -8    missing or dirty on the case record
  -9    could not be constructed
/disab retired
  -9 not asked
  -8 missing
   0 no
   1 yes
/wkhrs    
  61    between 61 and 80 hours
  81    more than 80 hours
  -3    routed out in the 1992-94 survey
  -4    zero to 10 hours in 1965
  -7    not applicable
  -8    missing
/nwork    
  -8    missing
  -9    question not asked
/empflag  
   0    ok
   1    work 20hours+
  -9    not constructed
/wkhrflag 
   0    ok
   1    hoursmissing
  -7    na
  -9    not constructed
/wagelm
  -9 not asked
  -8 missing
  -7 not applicable
/incomeqt
   1 lowest quartile
   2 2nd lowest quartile
   3 2nd highest quartile
   4 highest quartile
  -8 missing
  -9 cannot be constructed
/income65
   0 "under $1000"
   1 "$1000-1999"
   2 "$2000-2999"
   3 "$3000-3999"
   4 "$4000-4999"
   5 "$5000-5999"
   6 "$6000-7499"
   7 "$7500-9999"
   8 "$10000-14999"
   9 "$15000 or over"
  10 "no orig label, presumed missing data"
/income75 
   1    under $2,000
   2    $2,000 - $2,999
   3    $3,000 - $3,999
   4    $4,000 - $4,999
   5    $5,000 - $5,999
   6    $6,000 - $7,499
   7    $7,500 - $8,999
   8    $9,000 - $9,999
   9    $10,000 - $10,999
  10    $11,000 - $12,499
  11    $12,500 - $14,999
  12    $15,000 - $17, 499
  13    $17,500 - $19,99
  14    $20,000 - $22,499
  15    $22,500 - $24,999
  16    $25,000 - 29,999
  17    $30,000 - $34,999
  18    $35,000 and over
  -7    not applicable
  -8    missing
/income98
   1 Less than $12,000
   2 $12,001 to $20,000
   3 $20,001 to $30,000
   4 $30,001 to $50,000
   5 $50,001 to $75,000
   6 $75,001 to $100,000
   7 $100,001 or more
  -7    not applicable
  -8    missing
/income03
  1 <$5,000
  2 $5,000-7,499
  3 $7,500-9,999
  4 $10,000-12,499
  5 $12,500-14,999
  6 $15,000-19,999
  7 $20,000-24,999
  8 $25,000-29,999
  9 $30,000-34,999
 10 $35,000-39,999
 11 $40,000-49,999
 12 $50,000-59,999
 13 $60,000-74,999
 14 $75,000-99,999
 15 $100,000-149,999
 16 "$150,000+"
 -7 not applicable
 -8 missing
 -9 not available.

SAVE OUTFILE='C:\Users\Kimberly Fisher\Documents\Kimberly\time\ATUS\AHTUS final files\History of harmonisation - Questionnaire\schema\questschema.sav'
  /COMPRESSED.







