*AHTUS conversion syntax
*analyis using the MTUS has revealed that the employment status of the
*spouse or partner for diarists in couples. Though we did not intially 
*include this variable in the AHTUS files, we subsequently added this
*this variable.
*created by Dr. Kimberly Fisher, ISER Time Use Team
*University of Essex, Wivenhoe Park, Colchester CO4 3SQ UK
*8 March 2006.

*create employment status of the spouse for USA 1965-66.

GET FILE='O:\worked on data\1965_1975\EXTRA DATA NOT USED\us65-66turp.sav'.

freq marital age emp v291 v292.

compute empsp=-8.
if marital>0 empsp=-7.
freq empsp.

*all diarists are aged 19+. no employment status of the
*spouse variable as such - however, there are variables 
*for the total number of workers in the household aged 
*19+ and the total number of people in the household 
*aged 19+. If the diarist is married and the total number 
*of people aged 19+=the total number of people aged 19+
*who are working, we assume that the spouse is working.
*assume cases where 1 person aged 19+ works and the
*diarists is married and works and more than 1 person aged 
*19+ lives in the household that the spouse does not work.
*similarly if there are 2 people aged 19+ and one works and
*the respondent does not work, assume the spouse works.

do if marital=0 and v292=1 and v291>1 and (emp=1 or emp=4).
   compute empsp=4.
else if marital=0 and v292=1 and v291=2 and (emp=2 or emp=3 or emp=5).
   compute empsp=3.
else if v291>1 and v291=v292 and marital=0.
   compute empsp=3.
end if.
var lab empsp employment status of spouse or partner.
val lab empsp
-9 not asked in study
-8 item missing
-7 no spouse or not asked
1 spouse works full-time
2 spouse works part-time
3 spouse works, hours unknown
4 spouse not working.
freq empsp.

freq v217 v222 v224 occ v223.
cro v222 by v217.

temp.
select if v217=1.
freq v223. 

temp.
select if v217=1 and empsp=3.
freq v223. 
*some cases where the diarist is not the reference person
*where we can code the employment status of the spouse from 
*occupation of the reference person - but also note that the 
*coding is effectively consistent using the previous step to
*code spouse works from all people in household aged 19+ work.

Do if empsp<0 and v217=1 and (v223>0 and v223<90).
   compute empsp=3.
Else if empsp<0 and v217=1 and v223>90.
   compute empsp=4.
End if.
freq empsp.

*note there is one case where the diarists' marital status is
*widowed, her relation to the head of household is wife, and the 
*head of household works.

cro empsp by marital.

*at this point, employment status of the spouse not coded for 
*86 diarists - 5.2% of married diarists.

temp.
select if empsp=-8.
freq sex age v217 v5.

temp.
select if empsp=-8.
cro sex by v217.

temp.
select if empsp=-8.
cro v291 by v292.

*mostly men whose spouse employment status is not known.

temp.
select if empsp=-8 and v292=1.
freq age v5 v36 v72 child#.

temp.
select if empsp=-8 and v292=1 and v5=1.
freq age v36 v72 child#.

temp.
select if empsp=-8 and v292=1 and v5=1.
cro sex by v72 child# age.

temp.
select if empsp=-8 and v292=1 and v5=1.
cro age by child#.

*the remaining unknown spouse employment status includes
*6 men aged <26 who are married to a woman aged <19 who have 
*children. (v292=1 means only 1 eligible respondent) This is 
*the 1960s, so it is most likely that these wives, who are 
*also teenage mothers, so they are more likely to lack the 
*to pay for child care and their children will be young, 
*are not working.

if empsp=-8 and v292=1 and v5=1 and sex=0 and child#>0 empsp=4.

temp.
select if empsp=-8 and v292>1.
cro sex by child# age.

*there are a number of older middle-aged people in households
*with multiple people aged above 19 working. Likely in these
*cases where some household children are teenagers or in their 
*early 20s, both spouses and some of the children are working.

if empsp=-8 and age>39 and v292>1 empsp=3.
freq empsp.

temp.
select if marital=0.
freq empsp.

*this leaves 36 cases, 1.6% of the sample and 2.2% of couples
*with the employment status of the spouse unknown.

rename variables (id=pid).

sort cases by pid.

*note also that number of adults in household not recorded - 
*recover this variable now as ell.

save outfile="m:\empsp65.sav"
   /keep pid empsp v291.

get file='O:\Final harmonised files\Harmonised files\Questionnaire\USA65_66quest.sav'.

sort cases by pid.

match files files=* /in=main files="m:\empsp65.sav" /in=sp
   /by pid.
cro main by sp.

compute test=0.
if (main=0 and sp=1) test=2.
if main=1 and sp=0 test=3.
freq test.

temp.
select if test=3.
freq urban educ civstat nadult fulltime.

*note that there are 21 cases not in the turp file, which at anyrate appear
*to have a great deal of missing information anyway, and one mystery case in
*turp file not in the main file. Remove the mystery cases and set the values for
*empsp and nadult to -8 for these cases.
select if test=0 or test=3.

recode empsp (sysmis=-8).
cro empsp by civstat. 
if empsp=-8 and civstat>1 empsp=-7.
freq empsp.

temp.
select if civstat=1.
freq empsp.

*now 55 cases, 2.7% of the total sample, 3.3% of people in couples, have
*no value for empsp.

compute nadult= v291.
recode nadult (sysmis=-8).
freq nadult.

save outfile='O:\Final harmonised files\Harmonised files\Questionnaire\USA65_66quest.sav'
   /keep survey wave hhid pid state regionc regione 
    urban ownhome age sex ethnic ethnic2 hisp educ 
    civstat cohab marrflag famstat hhtype kidflag nadult 
    under18 under5 ageyngst nkidflag fulltime parttime 
    noemploy empstat unemp retired empsp disab 
    student homemakr wkhrs nwork empflag wkhrflag 
    wagelm incomeqt income65 income75 income03.


*create employment status of the spouse for USA 1975-76.

get file='O:\Final harmonised files\Harmonised files\Supplementary files\1975-76\USA1975withspousehfsum.sav'
     /keep wave hhid empstat spouse.
cro empstat by spouse.

rename variables (empstat=empsp).

var lab empsp employment status of spouse or partner.
val lab empsp
-9 not asked in study
-8 item missing
-7 no spouse or not asked
1 spouse works full-time
2 spouse works part-time
3 spouse works, hours unknown
4 spouse not working.
freq empsp.

select if spouse=1. 

save outfile="m:\usa75empsp.sav"
   /keep wave hhid empsp.

get file='O:\Final harmonised files\Harmonised files\Questionnaire\USA75_76quest.sav'.

match files files=* files="m:\usa75empsp.sav"
   /BY wave hhid.
freq empsp.

recode empsp (sysmis=-3).
cro empsp by civstat by wave.

Do if empsp<0 and civstat<2.
   compute empsp=-8.
Else if empsp<0 and civstat>1.
   compute empsp=-7.
End if.
freq empsp. 
cro empsp by civstat.

save outfile='Y:\all\USA\heritage_datasets\Harmonised files\Questionnaire\USA75_76quest.sav'
   /keep survey wave hhid pid state regionc regione 
    urban ownhome age sex ethnic ethnic2 hisp educ 
    civstat cohab marrflag famstat hhtype kidflag nadult 
    under18 under5 ageyngst nkidflag fulltime parttime 
    noemploy empstat unemp retired empsp disab 
    student homemakr wkhrs nwork empflag wkhrflag 
    wagelm incomeqt income65 income75 income03.

get file='Y:\all\USA\heritage_datasets\Harmonised files\Questionnaire\USA75_76quest.sav'.
save outfile='O:\Final harmonised files\Harmonised files\Questionnaire\USA75_76quest.sav'.

*variable computed for 1985 as part of whole 1985 file.

*empsp cannot be created for 1992-1994.

get file='Y:\all\USA\heritage_datasets\Harmonised files\Questionnaire\USA92_94quest.sav'.

compute empsp=-9.
var lab empsp employment status of spouse or partner.
val lab empsp
-9 not asked in study
-8 item missing
-7 no spouse or not asked
1 spouse works full-time
2 spouse works part-time
3 spouse works, hours unknown
4 spouse not working.
freq empsp.

save outfile='O:\Final harmonised files\Harmonised files\Questionnaire\USA92_94quest.sav'
   /keep survey wave hhid pid state regionc regione 
    urban ownhome age sex ethnic ethnic2 hisp educ 
    civstat cohab marrflag famstat hhtype kidflag nadult 
    under18 under5 ageyngst nkidflag fulltime parttime 
    noemploy empstat unemp retired empsp disab 
    student homemakr wkhrs nwork empflag wkhrflag 
    wagelm incomeqt income65 income75 income03.


*empsp created in the comprehensive 2003 demographic conversion programme for 
*the 2003 ATUS data.